<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.5
 *
 * Copyright (C) 2006-2017  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/

session_start();

require_once '../lib/gettext/gettext.inc';
include_once '../inc/config.inc.php';
include_once '../inc/fic_droits.inc.php';
include_once '../inc/func_log.inc.php';
if ((CheckURLLog(FALSE) == FALSE) OR (CheckNivLog('5-9') == FALSE)) {
    header('Location: ../index.php');
}
include_once '../inc/func.inc.php';
include_once '../inc/func_geo.inc.php';
include_once '../inc/func_txt.inc.php';
include_once '../inc/fic_dde.inc.php';
include_once '../classes/ezSQL/shared/ez_sql_core.php';
include_once '../classes/ezSQL/mysqli/ez_sql_mysqli.php';
include_once '../inc/func_sql.inc.php';
Archivelog(valsession('code_log'));
// Variables Formulaire
fix_magic_quotes();
$_GET = clean_str($_GET);

$td = $_GET['td'];
$coderech = $_GET['code'];

$pbm_dde = FALSE;

if ($coderech <> '') {
    // Récupération des informations catégorie de demandeur
    $row = lit_enr_ddec($coderech);
    if (is_array($row)) {
        $row = encode_str($row);
        extract($row);
    } else {
        $pbm_dde = TRUE;
    }
} else {
    if ($td <> 'add') {
        $pbm_dde = TRUE;
    }
}

$titre ='';
switch ($td) {
    case 'add' :
        $titre = _('CREATION CATEGORIE DE DEMANDEUR');
        break;
    case 'edit' :
        $titre = _('MISE A JOUR CATEGORIE DE DEMANDEUR');
        break;
    case 'del' :
        $titre = _('SUPPRESSION CATEGORIE DE DEMANDEUR');
        break;
    default :
        $pbm_dde = TRUE;
        break;
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <title>SMI - <?php echo _('ESPACE PRIVE'); ?> : <?php echo _('Fiche Type Catégorie Demandeur'); ?></title>

    <?php include_once '../inc/header.inc.php'; ?>

    <script language="javascript">
        <!--
        var tab1_champ = ["nom:code ; format:alphanum ; req:Y ; txt:<?php echo _('Code'); ?> ; lmx:10 ; stok:frmok ; stbad:frmbad",
            "nom:desc ; format:txt ; req:Y ; txt:<?php echo _('Libellé'); ?> ; lmx:40 ; stok:frmok ; stbad:frmbad"];
        //-->
    </script>

    <?php if ($pbm_dde == FALSE) { ?>
        <script type="text/javascript">
            <!--
            $(function () {
                $("#code").Setcase({caseValue: 'upper', changeonFocusout: true});
                $("#desc").Setcase({caseValue: 'upper', changeonFocusout: true});
            });

            function init_all() {
                init_Body();
                <?php
                 switch ($td)
                 {
                    case 'add' :
                        echo "init_valid_form('enr','ddec_maj','".valsession('date_fmtshort')."',tab1_champ,'','');";
                        break;
                    case 'edit' :
                        echo "init_valid_form('enr','ddec_maj','".valsession('date_fmtshort')."',tab1_champ,'','');";
                        break;
                    case 'view' :
                        echo 'readonly_all();';
                        break;
                    case 'del' :
                        echo 'readonly_all();';
                        echo "warn_del('');";
                        break;
                 }
                 ?>
                init_autohref('annul', 'click', 'index.php', false);
                Focus_first();
            }

            $(document).ready(function () {
                init_all();
            });
            //-->
        </script>

    <?php } ?>
</head>

<body>
<?php
include_once '../inc/entete.inc.php';

if ($pbm_dde == FALSE) {
    cre_ent_form($titre, 'ddec_lst.php', $_SERVER['HTTP_REFERER'], '');
    ?>
    <form name="ddec_maj" id="ddec_maj" method="post" action="ddec_enr.php">
        <input name="titre" type="hidden" id="titre" value="<?php echo $titre ?>">
        <input name="td" type="hidden" id="td" value="<?php echo $td ?>">
        <input name="nbutton" type="hidden" id="nbutton" value="">
        <table width="100%" border="0">
            <tr>
                <td width="25%" class="rubfrm" id="f_code" align="right"><?php echo _('Code'); ?></td>
                <td>
                    <?php if ($td == 'add') { ?>
                        <input name="code" type="text" id="code" value="<?php echo $ddec_code ?>" size="10"
                               maxlength="10">
                        <img src="../img/oblig.png" align="absmiddle" alt="<?php echo _('Champ obligatoire'); ?>">
                    <?php } else { ?>
                        <input name="code" type="text" id="code" value="<?php echo $ddec_code ?>" size="10"
                               maxlength="10" readonly="1">
                    <?php } ?>
                </td>
            </tr>
            <tr>
                <td width="25%" class="rubfrm" id="f_desc" align="right"><?php echo _('Libellé'); ?></td>
                <td>
                    <input name="desc" type="text" id="desc" value="<?php echo $ddec_desc ?>" size="40">
                    <img src="../img/oblig.png" align="absmiddle" alt="<?php echo _('Champ obligatoire'); ?>">
                </td>
            </tr>
            <tr>
                <td width="25%" class="rubfrm" id="f_pub" align="right"><?php echo _('Accessible publiquement'); ?></td>
                <td>
                    <?php
                    if ($td == 'add') {
                        cre_select('pub', 'pub', $non_oui, 0);
                    }

                    if (($td == 'edit') OR ($td == 'del')) {
                        cre_select('pub', 'pub', $non_oui, (int)$ddec_pub);
                    }
                    ?>
            </tr>
        </table>
        <span
            class="annot_petit_it">(<?php echo _("Accessible publiquement' signifie que cette catégorie de demandeur sera affichée que sur les demandes effectuée depuis un espace public...sinon elle ne sera affichée que sur les demandes depuis l'espace privé"); ?>
            )</span><br/>

        <p align="center">
            <?php if (($td == 'add') OR ($td == 'edit')) { ?>
                <input name="RAZ" type="reset" class="bton_std" id="RAZ" value="<?php echo _('Réinitialiser'); ?>">
                <input name="enr" type="button" class="bton_std" id="enr" value="<?php echo _('Enregistrer'); ?>">
            <?php } ?>
            <?php if ($td == 'del') { ?>
                <input name="del" type="submit" class="bton_std" id="del" value="<?php echo _('Supprimer'); ?>">
                <input name="annul" type="button" class="bton_std" id="annul" value="<?php echo _('Annuler'); ?>">
            <?php } ?>
        </p>
    </form>
    <?php
} else {
    pop_ret_auto(_('Problème de paramètres'), 'warn', 'ddec_lst.php');
}
include_once 'pied.php';
?>
</body>
</html>