<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.5
 *
 * Copyright (C) 2006-2017  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/

session_start();

require_once '../lib/gettext/gettext.inc';
include_once '../inc/config.inc.php';
include_once '../inc/func_log.inc.php';
if ((CheckURLLog(TRUE) == FALSE) OR (CheckNivLog('5-9') == FALSE)) {
    header('Location: ../index.php');
}
include_once '../inc/fic_droits.inc.php';
include_once '../inc/func.inc.php';
include_once '../inc/func_geo.inc.php';
include_once '../inc/func_txt.inc.php';
include_once '../classes/ezSQL/shared/ez_sql_core.php';
include_once '../classes/ezSQL/mysqli/ez_sql_mysqli.php';
include_once '../inc/func_sql.inc.php';
Archivelog(valsession('code_log'));
// Variables Formulaire
fix_magic_quotes();
$_POST = clean_str($_POST);

$titre = valpost('titre');
$td = valpost('td');

$actif = (int)valpost('actif');
$code = str_majuscules(valpost('code'));
$desc = str_majuscules(valpost('desc'));
$cont = (int)valpost('cont');
$comp = (int)valpost('comp');
$mque = (int)valpost('mque');
$ns = (int)valpost('ns');
$mob = (int)valpost('mob');
$assu = (int)valpost('assu');

$codeuser = valsession('code_log');
$retourliste = TRUE;
$msg = '';

$db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');
switch ($td) {
    // Ajout de la fiche Type Objet
    case 'add' :
        $rech = 'SELECT COUNT(*) FROM `' . TBRTO . "` WHERE rto_code = '" . $db->escape($code) . "'";
        $nb_rs = $db->get_var($rech);
        if ($nb_rs == 0) {
            $rech = 'INSERT INTO `' . TBRTO . '` (rto_datecrea,rto_codecrea,rto_datemod,rto_codemod,rto_code,rto_desc,rto_actif,rto_cont,rto_comp,rto_mque,rto_ns,rto_mob,rto_assu) VALUES (';
            $rech .= "'$datea','$codeuser','$datea','$codeuser',";
            $rech .= "'" . $db->escape($code) . "','" . $db->escape($desc) . "','" . $db->escape($actif) . "','" . $db->escape($comp) . "','" . $db->escape($cont) . "',";
            $rech .= "'" . $db->escape($mque) . "','" . $db->escape($ns) . "','" . $db->escape($mob) . "','" . $db->escape($assu) . "')";
            $db->query($rech);
            $msg = _('Fiche ajoutée');
        } else {
            $msg = _('Ce code existe déjà');
            $retourliste = FALSE;
        }
        break;

    // Modification de la fiche Type Objet
    case 'edit' :
        $rech = 'UPDATE `' . TBRTO . "` SET `rto_datemod`='" . $datea . "', `rto_codemod`='" . $codeuser . "', `rto_desc`='" . $db->escape($desc) . "',";
        $rech .= " `rto_actif`='" . $db->escape($actif) . "', `rto_cont`='" . $db->escape($cont) . "', `rto_comp`='" . $db->escape($comp) . "',  `rto_mque`='" . $db->escape($mque) . "',";
        $rech .= " `rto_ns`='" . $db->escape($ns) . "', `rto_mob`='" . $db->escape($mob) . "', `rto_assu`='" . $db->escape($assu) . "'";
        $rech .= " WHERE `rto_code` = '" . $db->escape($code) . "'";
        $db->query($rech);
        $msg = _('Fiche modifiée');
        break;

    // Suppression de la fiche Type Objet
    case 'del' :
        // Vérifie si utilisé dans une fiche relevé
        $rech = 'SELECT COUNT(*) FROM `' . TBROBJ . "` WHERE `robj_coderto` = '" . $db->escape($code) . "'";
        $nb_rs = $db->get_var($rech);
        if ($nb_rs <> 0) {
            $msg = _('Code utilisé dans une fiche objet');
            $retourliste = FALSE;
        } else {
            // SUPPRESSION de la fiche Type Objet
            $rech = 'DELETE FROM `' . TBRTO . "` WHERE `rto_code` = '" . $db->escape($code) . "'";
            $db->query($rech);
            $msg = _('Fiche supprimée');
        }
        break;

    default :
        break;
}
close_database();
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <title>SMI - <?php echo _('ESPACE PRIVE'); ?> : <?php echo _('Patrimoines - Fiche type Objet'); ?></title>

    <?php include_once '../inc/header.inc.php'; ?>

    <script type="text/javascript">
        <!--
        function init_all() {
            init_Body();
            Focus_first();
        }

        $(document).ready(function () {
            init_all();
        });
        //-->
    </script>

</head>
<body>

<?php include_once '../inc/entete.inc.php';
cre_ent_form($titre, '', '', '', FALSE);
if ($retourliste == FALSE) {
    exec_func_js("warn_txt('" . str_escape($msg) . "')");
    aff_ret_idx_man($td, 'rpto_lst.php', _('Retour à la liste'), TRUE);
} else {
    pop_ret_auto($msg, 'ok', 'rpto_lst.php');
}
include_once 'pied.php';
?>
</body>
</html>