<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.5
 *
 * Copyright (C) 2006-2017  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/

/**************************************************************/
/* Récupération des types de licences en fonction code marque */
/**************************************************************/

session_start();
sleep(1);
if (array_key_exists('mque', $_REQUEST)) {
    $tomorrow = 0; //60*60*24; // en nb de secondes
    header("Cache-Control: max-age=$tomorrow");
    print_plain();
} else {
    print "Usage : $_SERVER[PHP_SELF]?mque=un-code-marque";
}

function print_plain()
{
    header('Content-type: text/html; charset=UTF-8');
    $types = get_types($_REQUEST['mque']);
    $result = [];
    if (count($types) > 0) {
        foreach ($types as $row) {
            $result[] = $row['rltl_code'] . '=' . $row['rltl_desc'];
        }
    }
    print implode(';', $result);
}

/**
 * @param $mque
 * @return array
 */
function get_types($mque)
{

    require_once '../lib/gettext/gettext.inc';
    include_once '../inc/config.inc.php';
    include_once '../inc/func_txt.inc.php';
    include_once '../classes/ezSQL/shared/ez_sql_core.php';
    include_once '../classes/ezSQL/mysqli/ez_sql_mysqli.php';
    include_once '../inc/func_sql.inc.php';

    // On recupere les enregistrements
    $rech = 'SELECT * FROM `' . TBRLTL . "` WHERE rltl_codema='" . str_majuscules($mque) . "' OR rltl_codema='*' ORDER BY rltl_desc";
    // On se connecte a la base
    $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');
    $rows = $db->get_results($rech, ARRAY_A);
    close_database();
    // On cree le resultat
    $result = [];
    if ($rows) {
        foreach ($rows as $row) {
            $row = encode_str($row);
            $result[] = $row;
        }
    }
    return $result;
}
