<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.5
 *
 * Copyright (C) 2006-2017  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/


// vérification des tentatives de hack
$pos = strpos($_SERVER['PHP_SELF'], 'inc.php');
if ($pos !== FALSE) {
    header('Location: ../index.php');
}

include_once '../inc/func.inc.php';
include_once '../inc/func_date.inc.php';
include_once '../inc/func_geo.inc.php';
include_once '../inc/func_txt.inc.php';
include_once '../inc/fic_age.inc.php';
include_once '../inc/fic_droits.inc.php';
include_once '../inc/fic_hum.inc.php';
include_once '../inc/fic_prm.inc.php';
include_once '../inc/fic_prmmail.inc.php';
include_once '../inc/lst.inc.php';
include_once '../classes/ezSQL/shared/ez_sql_core.php';
include_once '../classes/ezSQL/mysqli/ez_sql_mysqli.php';
include_once '../inc/func_sql.inc.php';
Archivelog(valsession('code_log'));
// Variables Formulaire
fix_magic_quotes();
$_GET = clean_str($_GET);
$_POST = clean_str($_POST);

$td = valgetpost('td');
$codeage = valgetpost('ca');
$idcage = (int)valgetpost('ica');
$id = (int)valgetpost('id');

$pbm_cage = FALSE;
$pbm_enr_cagepr = FALSE;
$msg = '';
$lastid = 0;
$lastdate = '';
$totalpr = 0;
$datesais = '';

if ($id > 0) {
    $row = lit_enr_cagepr($id);
    if (is_array($row)) {
        $row = encode_str($row);
        extract($row);
        $datesais = datetolocal($cagepr_date);
    } else {
        $pbm_cage = TRUE;
    }
}


if ($pbm_cage == FALSE) {
    if (($idcage > 0) AND ($codeage <> '')) {
        // vérification tentative de hack d'une agence
        if (CheckNivLog('4') AND ($cagepr_codeage <> valsession('code_age'))) {
            $pbm_cage = TRUE;
        }
        else {
            $row = lit_enr_age($codeage, TRUE);
            if (is_array($row)) {
                extract($row);

                $codeadev = give_dev_codea_defaut_age($codeage, $_SESSION['lng']);

                $totalpr = nb_cagepr($idcage, TRUE);
                if ($totalpr == 0) {
                    $td = 'add';
                }
                if ((valpost('nbutton') == 'add') OR (valpost('nbutton') == 'enr')) {
                    $datesais = valpost('date');
                    $datesaisa = '';
                    if ($datesais <> '') {
                        $datesaisa = datetomysql($datesais);
                    }
                    $couth = valpost('couth');

                    if (($datesaisa <> '') AND ((float)$couth > 0)) {
                        $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');
                        if (valpost('nbutton') == 'add') {
                            $rech = 'INSERT INTO `' . TBCAGEPR . '`';
                            $rech .= ' (cagepr_idcage,cagepr_date,cagepr_couth) VALUES';
                            $rech .= " ('$idcage','$datesaisa','$couth')";
                        }
                        if (valpost('nbutton') == 'enr') {
                            if ($id > 0) {
                                $rech = 'UPDATE `' . TBCAGEPR;
                                $rech .= "` SET `cagepr_date`='" . $datesaisa . "',`cagepr_couth`='" . $couth . "' WHERE `cagepr_id` = '" . $id . "'";
                            }
                        }
                        if ($rech <> '') {
                            $db->query($rech);
                        }
                        close_database();
                        unset($_POST);
                        $td = 'add';
                    } else {
                        $pbm_enr_cagepr = TRUE;
                        $msg = _('Problème de saisie');
                    }
                } else {
                    if (valpost('nbutton') == 'del') {
                        if ($id > 0) {
                            $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');
                            $rech = 'DELETE FROM `' . TBCAGEPR . "` WHERE `cagepr_id` = '$id'";
                            $db->query($rech);
                            close_database();
                        }
                        unset($_POST);
                        $td = 'add';
                    }
                }
            } else {
                $pbm_cage = TRUE;
            }
        }
    } else {
        $pbm_cage = TRUE;
    }
}

if ($pbm_cage == FALSE) {
    $lastid = last_id_cagepr($idcage);
    $lastdate = last_date_cagepr($lastid);

    switch ($td) {
        case 'add' :
            $titre = _('Ajouter prix de revient');
            if ($lastid > 0) {
                $datesais = datetolocal(nouv_date_plus_jours($lastdate, 1));
            } else {
                $datesais = datetolocal($age_datecrea);
            }
            break;
        case 'edit' :
            $titre = _('Editer prix de revient');
            break;
        case 'view' :
            $titre = _('Voir prix de revient');
            break;
        case 'del' :
            $titre = _('Supprimer prix de revient');
            break;
    }
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <title>SMI - <?php echo _('ESPACE PRIVE'); ?> : <?php echo _('Prix de revient contact agence'); ?></title>

    <?php include_once '../inc/header.inc.php'; ?>

    <script language="javascript">
        <!--
        var tab1_champ = ["nom:date ; format:date ; masque:<?php echo $_SESSION['date_fmtfull']; ?> ; req:Y ; txt:<?php echo _('Date'); ?> ; vmn:<?php if ($lastid>0) {if ($td=='add') {echo datetolocal(nouv_date_plus_jours($lastdate,1));} else {echo datetolocal($lastdate);} } else {echo datetolocal($age_datecrea);} ?> ; stok:frmok ; stbad:frmbad",
            "nom:couth; format:reel_ns ; req:Y ; txt:<?php echo _('coût horaire'); ?> ; vmn:0.01 ; stok:frmok ; stbad:frmbad"];
        //-->
    </script>

    <script type="text/javascript">
        <!--
        function init_datepicker() {
            <?php include_once '../jscript/datepicker_prm.js.php'; ?>
            $("#date").datepicker({
                onSelect: function (datesel) {
                    $("#date").blur();
                    return chk_datedif(datesel, this.id, '<?php echo valsession('date_fmtshort'); ?>', true, 'datesais', '', '', false)
                }
            });
        }

        function init_calculator() {
            <?php include_once '../jscript/calculator_prm.js.php'; ?>
            $('#couth').calculator({
                onClose: function(value, inst) {
                    fdeci(this.id, <?php echo valsession('num_nbdec'); ?>);
                }
            });
        }

        function init_all() {
            init_Body();
            init_autohref_classe('falselnkimg', '');
            init_datepicker();
            init_calculator();
            <?php
            switch ($td)
            {
                case 'add' :
                    echo "init_valid_form('add','cagepr_maj','".valsession('date_fmtshort')."',tab1_champ,'','');";
                    break;
                case 'edit' :
                    echo "init_valid_form('enr','cagepr_maj','".valsession('date_fmtshort')."',tab1_champ,'','');";
                    echo "readonly_id('code',false);";
                    break;
                case 'view' :
                    echo 'readonly_all();';
                    break;
                case 'del' :
                    echo "init_valid_form('del','cagepr_maj','".valsession('date_fmtshort')."',tab1_champ,'','');";
                    echo 'readonly_all();';
                    echo "warn_del('');";
                    break;
            }
            echo "init_autohref('annul','click', 'cagepr_maj.php?td=add&ca=".$codeage. '&ica=' .$idcage."',false);";
            ?>
            init_autoraz('razdate', 'date', 'click');
            init_fdeci('couth', <?php echo valsession('num_nbdec'); ?>);
            add_func_click('quit', 'sclose', '');
            Focus_first();
        }

        $(document).ready(function () {
            init_all();
        });
        //-->
    </script>

</head>

<body>


<?php
if (($pbm_cage == FALSE) AND ($pbm_enr_cagepr == FALSE)) {
    cre_ent_form(_('PRIX DE REVIENT'), '', '', '', FALSE);
    ?>
    <p align="center"><span class="titre_gras"><?php echo _('Pour le contact'); ?>
            : <?php echo $cagepr_nom . ' ' . $cagepr_prenom; ?> </span>
    </p>
    <p align="center"><span class="titre_gras">(<?php Echo _('agence'); ?> : <?php echo $age_nom; ?>)</span></p>
    <div align="right">
        <input name="quit" type="button" class="bton_std" id="quit" value="<?php echo _('Quitter'); ?>"
               style="text-decoration: none; font-size: 11px; color:White ;font-weight:bold;background-color: #666666;">
    </div>
    <br/>
    <?php
    $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');
    $rech = 'SELECT * FROM `' . TBCAGEPR . "` WHERE `cagepr_idcage`= '" . $idcage . "' ORDER BY cagepr_id";
    $rows = $db->get_results($rech, ARRAY_A);

    if ($rows AND (count($rows) <> 0)) {
        echo '<table class="MtableD" border="0" width="100%" cellpadding="0" cellspacing="0" align="center">';

        // création de l'entête de la table "détail prix de revient"
        echo '<th>';
        echo _('Date');
        echo '</th>';
        echo '<th>';
        echo _('Coût horaire');
        echo '</th>';
        echo '<th>';
        echo _('Cliquer');
        echo '</th>';

        $j = 0;

        foreach ($rows as $row) {
            // création de l'entête de ligne (TR)
            echo '<tr>';

            echo '<td align="center">';
            echo datetolocal($row['cagepr_date']);
            echo '<td align="right">';
            echo full_num_format($row['cagepr_couth'], '', '', TRUE, '', FALSE);
            echo '</td>';

            echo '<td align="center">';
            if (($td <> 'view') AND ($lastid == $row['cagepr_id'])) {
                $lst_maj = TRUE;
                cre_falselnk_img('', 'cagepr_edit_' . $row['cagepr_id'], 'span', 'center', _('Edition'), 'lnk', 'cagepr_maj.php?td=edit&ca=' . $codeage . '&ica=' . $idcage . '&id=' . $row['cagepr_id'], '../img/edit.png');
                $lst_del = TRUE;
                cre_falselnk_img('', 'cagepr_del_' . $row['cagepr_id'], 'span', 'center', _('Suppression'), 'lnk', 'cagepr_maj.php?td=del&ca=' . $codeage . '&ica=' . $idcage . '&id=' . $row['cagepr_id'], '../img/del.png');
            } else {
                echo '-';
            }
            echo '</td>';
            echo '</tr>';

            $j++;
        }

        echo '</table>';
        // Fin affichage table détail horaire
    } else {
        ?>
        <p class="annot_petit_it"><?php echo _('Aucun prix de revient enregistré'); ?></p>
        <?php
    }
    close_database();
    $taille_piedla = '';
    include_once 'piedla.inc.php';

    if ($td <> 'view') {
        ?>
        <br/>
        <form name="cagepr_maj" id="cagepr_maj" class="bord_pointilles" method="post" action="cagepr_maj.php">
            <p align="center" class="annot_std_gras"><?php echo $titre; ?></p>

            <p align="center" class="annot_petit_it"><?php echo _('Tous les champs sont obligatoires'); ?></p>
            <input name="td" type="hidden" id="td" value="<?php echo $td; ?>">
            <input name="ca" type="hidden" id="ca" value="<?php echo $codeage; ?>">
            <input name="ica" type="hidden" id="ica" value="<?php echo $idcage; ?>">
            <input name="id" type="hidden" id="id" value="<?php echo $id; ?>">
            <input name="datesais" type="hidden" id="datesais" value="<?php echo $datesais; ?>">
            <input name="nbutton" type="hidden" id="nbutton" value="">
            <table width="580" border="0" align="center">
                <tr>
                    <td width="30%" class="rubfrm" id="f_date" align="right"><?php echo _('Date'); ?></td>
                    <td align="left">
                        <input name="date" type="text" id="date" value="<?php echo $datesais; ?>" size="10"
                               maxlength="10" readonly="1">
                        <?php
                        switch ($td) {
                            case 'add' :
                                echo ' <img src="../img/raz.png" id="razdate" border="0" align="absmiddle">';
                                echo ' <img src="../img/oblig.png" align="absmiddle" alt="' . _('Champ obligatoire') . '">';
                                if ($lastid > 0) {
                                    echo '<br /><span class="annot_petit_it">(' . _('Strictement supérieur à dernière date de modification') . ' : ' . $datesais . ')</span>';
                                } else {
                                    echo '<br /><span class="annot_petit_it">(' . _("Supérieur ou égal à la date de création de l'agence") . ' : ' . $datesais . ')</span>';
                                }
                                break;
                            case 'edit' :
                                echo ' <img src="../img/raz.png" id="razdate" border="0" align="absmiddle">';
                                echo ' <img src="../img/oblig.png" align="absmiddle" alt="' . _('Champ obligatoire') . '">';
                                echo '<br /><span class="annot_petit_it">(' . _('Ne peut être inférieure à la date précédemment saisie') . ')</span>';
                                break;
                            default :
                                break;
                        }
                        ?>
                    </td>
                </tr>
                <tr>
                    <td width="30%" class="rubfrm" id="f_tec" align="right"><?php echo _('Coût horaire'); ?></td>
                    <td align="left">
                        <?php
                        cre_input_num('couth', $cagepr_couth);
                        ?>
                    </td>
                </tr>
            </table>
            <p align="center">
                <input name="annul" type="button" class="bton_std" id="annul" value="<?php echo _('Annuler'); ?>">
                <?php
                switch ($td) {
                    case 'add' :
                        echo '<input name="add" type="button" class="bton_std" id="add" value="' . _('Valider') . '">';
                        break;
                    case 'edit' :
                        echo '<input name="enr" type="button" class="bton_std" id="enr" value="' . _('Valider') . '">';
                        break;
                    case 'del' :
                        echo '<input name="del" type="button" class="bton_std" id="del" value="' . _('Supprimer') . '">';
                        break;
                }
                echo '<input name="RAZ" type="reset" class="bton_std" id="RAZ" value="' . _('Réinitialiser') . '">';
                ?>
            </p>
        </form>
        <?php
    }
} else {
    if ($pbm_cage == TRUE) {
        close_fen_auto(_('Problème de paramètres'), 'fscomp2', '');
    }

    if ($pbm_enr_cagepr == TRUE) {
        pop_ret_auto($msg, 'warn', 'cagepr_maj.php?ca=' . $codeage . 'ica=' . $idcage . '&td=' . $td . '&id=' . $id);
    }
}
?>
</body>
</html>
