<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.5
 *
 * Copyright (C) 2006-2017  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/


// vérification des tentatives de hack
$pos = strpos($_SERVER['PHP_SELF'], 'inc.php');
if ($pos !== FALSE) {
    header('Location: ../index.php');
}

include_once '../inc/func.inc.php';
include_once '../inc/func_date.inc.php';
include_once '../inc/func_geo.inc.php';
include_once '../inc/func_txt.inc.php';
include_once '../inc/fic_age.inc.php';
include_once '../inc/fic_droits.inc.php';
include_once '../inc/fic_int.inc.php';
include_once '../classes/ezSQL/shared/ez_sql_core.php';
include_once '../classes/ezSQL/mysqli/ez_sql_mysqli.php';
include_once '../inc/func_sql.inc.php';
Archivelog(valsession('code_log'));
// Variables Formulaire
fix_magic_quotes();
$_GET = clean_str($_GET);

$ci = $_GET['ci']; // Récupération code Intervention

$detail_ok = TRUE;

if ($ci <> '') {
    // Récupération des informations intervention
    $row = lit_enr_int($ci);
    if (is_array($row)) {
        $row = encode_str($row);
        extract($row);

        if (valsession('niv_log') >= 3) {
            switch (valsession('niv_log')) {
                case 3 :
                case 4 :
                    if (client_age_ok($int_codecli, valsession('code_age'), TRUE) == FALSE) {
                        $detail_ok = FALSE;
                    }
                    if (($int_codeage <> '') AND ($int_codeage <> valsession('code_age')) AND ($int_codeages <> valsession('code_age'))) {
                        $detail_ok = FALSE;
                    }
                    break;
                case 6 :
                case 7 :
                    if ($int_codedo <> valsession('code_do')) {
                        $detail_ok = FALSE;
                    }
                    break;
                default :
                    break;
            }

            $int_datecreaf = datetolocal($int_datecrea);
            $int_datemodf = datetolocal($int_datemod);
            $int_datecertf = datetolocal($int_datecert);
        } else {
            $detail_ok = FALSE;
        }
    } else {
        $detail_ok = FALSE;
    }
} else {
    $detail_ok = FALSE;
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <title>SMI - <?php echo _('ESPACE PRIVE'); ?> : <?php echo _('Détail Intervention'); ?></title>

    <?php include_once '../inc/header.inc.php'; ?>

    <script type="text/javascript">
        <!--
        function init_all() {
            init_Body();
            add_func_click('ferm', 'sclose', '');
            Focus_first();
        }

        $(document).ready(function () {
            init_all();
        });
        //-->
    </script>

</head>
<body>
<?php
if ($detail_ok == TRUE) {
    cre_ent_form(_("DETAIL DE L'INTERVENTION"), '', '', '', FALSE);
    ?>
    <p align="center"><span class="titre_gras"><?php echo $ci; ?></span></p>

    <!-- Date de création et de modification -->
    <table width="100%" border="0">
        <tr>
            <td width="160" class="rubfrm" id="f_datecreaf" align="right"><?php echo _('Créée le'); ?></td>
            <td>
                <input name="datecreaf" type="text" id="datecreaf" value="<?php echo $int_datecreaf ?>" size="10"
                       maxlength="10" readonly="1">
                <?php
                echo '<span class="annot_petit_it">';
                echo ' Par ' . Retournecreateur($int_codecrea, $admin_code);
                echo '</span>';
                ?>
            </td>
        </tr>
        <tr>
            <td width="160" class="rubfrm" id="f_datemodf" align="right"><?php echo _('Modifiée le'); ?></td>
            <td>
                <input name="datemodf" type="text" id="datemodf" value="<?php echo $int_datemodf ?>" size="10"
                       maxlength="10" readonly="1">
                <?php
                echo '<span class="annot_petit_it">';
                echo ' ' . _('Par') . ' ' . Retournecreateur($int_codemod, $admin_code);
                echo '</span>';
                ?>
            </td>
        </tr>
    </table>

    <?php
    if ($int_pces == 2) // Si pièces conservées par le client, on n'affiche rien
    {
        ?>
        <br/>
        <table width="100%" border="0">
            <tr>
                <td width="160" class="rubfrm" id="f_datemodf"
                    align="right"><?php echo _('Certificat de destruction envoyé le'); ?></td>
                <td>
                    <input name="datecertf" type="text" id="datecertf" value="<?php echo $int_datecertf ?>" size="10"
                           maxlength="10" readonly="1">
                </td>
            </tr>
        </table>
        <?php
    }
    ?>

    <br/>

    <!-- bouton de fermeture de la fenêtre -->
    <div align="center">
        <input name="ferm" type="button" class="bton_std" id="ferm" value="<?php echo _('Fermer la fenêtre'); ?>">
    </div>
    <?php
} else {
    close_fen_auto('', 'fscomp');
}
?>
</body>
</html>
