<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.5
 *
 * Copyright (C) 2006-2017  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/


// vérification des tentatives de hack
$pos = strpos($_SERVER['PHP_SELF'], 'inc.php');
if ($pos !== FALSE) {
    header('Location: ../index.php');
}

include_once '../inc/config.inc.php';
include_once '../inc/fic_droits.inc.php';
include_once '../inc/fic_pen.inc.php';
include_once '../inc/fic_taxes.inc.php';
include_once '../inc/func.inc.php';
include_once '../inc/func_date.inc.php';
include_once '../inc/func_log.inc.php';
include_once '../inc/func_geo.inc.php';
include_once '../inc/func_txt.inc.php';
include_once '../classes/ezSQL/shared/ez_sql_core.php';
include_once '../classes/ezSQL/mysqli/ez_sql_mysqli.php';
include_once '../inc/func_sql.inc.php';
Archivelog(valsession('code_log'));
// Variables Formulaire
fix_magic_quotes();
$_GET = clean_str($_GET);

$titre = valpost('titre');
$td = valpost('td');
$codep = valpost('codep');
$ud = (int)valpost('ud');
$pour = (int)valpost('pour');
$idpb = (int)valpost('npb');

$mini = valpost('mini');
$maxi = valpost('maxi');
$valeur = (float)valpost('valeur');

$retourliste = TRUE;
$msg = '';

$db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');

// On force la fiche pénalité en mode grille de valeurs
$rech = 'UPDATE `' . TBPEN . "` SET `pen_tbar`='1'";
$rech .= " WHERE `pen_code` = '" . $db->escape($codep) . "'";
$db->query($rech);

switch ($td) {
    // Ajout de la fiche montant pénalité
    case 'add' :
        $rech2 = 'INSERT INTO `' . TBPENBAR . '`';
        $rech2 .= ' (penbar_codepen,penbar_min,penbar_max,penbar_valeur)';
        $rech2 .= " VALUES ('$codep','$mini','$maxi','$valeur')";
        $db->query($rech2);

        $msg = _('Fiche ajoutée');
        break;

    // MAJ de la fiche montant pénalité
    case 'edit' :
        $majok = TRUE;

        if ($idpb <> last_id_penbar_in_pen($codep, FALSE)) {
            $msg = _('Barême impossible à modifier');
            $majok = FALSE;
            $retourliste = FALSE;
        }
        /*
                    if (exist_barloc_in_coloc_ouv($idbl,FALSE)==TRUE)
                    {
                        $msg = "Barême utilisé dans une location non close";
                        $majok = FALSE;
                        $retourliste = FALSE;
                    }
            */
        if ($majok == TRUE) {
            $rech = 'UPDATE `' . TBPENBAR . "` SET `penbar_min`='" . $mini . "', `penbar_max`='" . $maxi . "',";
            $rech .= " `penbar_valeur`='" . $valeur . "'";
            $rech .= " WHERE `penbar_id` = '" . $idpb . "'";
            $db->query($rech);

            $msg = _('Fiche modifiée');
        }
        break;

    // Suppression de la fiche montant pénalité
    case 'del' :
        $delok = TRUE;

        if ($idpb <> last_id_penbar_in_pen($codep, FALSE)) {
            $msg = _('Barême impossible à supprimer');
            $majok = FALSE;
            $retourliste = FALSE;
        }
        /*
                    if (exist_barloc_in_coloc($idbl,FALSE)==TRUE)
                    {
                        $msg = "Barême utilisé dans une location. Désactivez le.";
                        $delok = FALSE;
                        $retourliste = FALSE;
                    }
                    */

        if ($delok == TRUE) {
            $rech = 'DELETE FROM `' . TBPENBAR . "` WHERE `penbar_id` = '$idpb'";
            $db->query($rech);

            $msg = _('Fiche supprimée');
        }
        break;

    default :
        break;
}
close_database();
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <title>SMI - <?php echo _('ESPACE PRIVE'); ?> : <?php echo _('Pénalité Location'); ?></title>

    <?php include_once '../inc/header.inc.php'; ?>

    <script type="text/javascript">
        <!--
        <?php
        if ($retourliste == TRUE)
            {cre_html_penbar('detbarpen', $td, $codep, $pour, 'window.opener.');}
        ?>

        function init_all() {
            init_Body();
            <?php
            if ($retourliste == FALSE)
                {echo "warn_txt('" . str_escape($msg) . "',5000)";}
            else
                {echo "pop_txt('" . str_escape($msg) . "')";}
            echo 'self.close();';
            ?>
            Focus_first();
        }

        $(document).ready(function () {
            init_all();
        });
        //-->
    </script>

</head>
<body>
<?php
cre_ent_form($titre, '', '', '', FALSE);
?>
</body>
</html>
