<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.5
 *
 * Copyright (C) 2006-2017  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/

// vérification des tentatives de hack
$pos = strpos($_SERVER['PHP_SELF'], 'inc.php');
if ($pos !== FALSE) {
    header('Location: ../index.php');
}

include_once '../inc/func.inc.php';
include_once '../inc/func_geo.inc.php';
include_once '../inc/func_txt.inc.php';
include_once '../inc/fic_droits.inc.php';
include_once '../inc/lst.inc.php';
include_once '../classes/ezSQL/shared/ez_sql_core.php';
include_once '../classes/ezSQL/mysqli/ez_sql_mysqli.php';
include_once '../inc/func_sql.inc.php';
Archivelog(valsession('code_log'));
// Variables Formulaire
fix_magic_quotes();
$_GET = clean_str($_GET);

$_SESSION['typ_filtres'] = 'perloc';

$ta = $_GET['ta']; // Source de l'appel m:depuis le menu, p:depuis un produit
$cp = $_GET['cp']; // Récupération code Produit

$pbm_per = FALSE;

if (($ta <> 'p') AND ($ta <> 'm')) {
    $pbm_per = TRUE;
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>

    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <title>SMI - <?php echo _('ESPACE PRIVE'); ?> : <?php echo _('Liste Périodes de Location'); ?></title>

    <?php include_once '../inc/header.inc.php'; ?>

    <script type="text/javascript">
        <!--
        function init_all() {
            init_Body();
            init_autohref_classe('falselnkimg', '');
            add_func_click('Submit', 'sclose', '');
            Focus_first();
        }

        $(document).ready(function () {
            init_all();
        });
        //-->
    </script>
</head>
<body>

<?php
if ($ta == 'm') {
    include_once '../inc/entete.inc.php';
}
cre_ent_form(_('LISTE DES PERIODES DE LOCATION'), '', '', '', FALSE);
if ($pbm_per == FALSE) {
    if ($ta == 'p') {
        ?>
        <div align="center">
            <?php
            switch ($ta) {
                case 'p' :
                    ?>
                    <span
                        class="titre_gras"><?php echo _('Choisissez une période type pour le produit') . ' ' . $cp . ' ' . _('dans la liste suivante'); ?></span>
                    <br/>
                    <span
                        class="annot_petit_it"><?php echo _('Hors période(s) déjà saisie(s) dans ce produit'); ?></span>
                    <?php
                    break;
                default :
                    break;
            }
            ?>
        </div>
        <p align="center">
            <input type="button" class="bton_std" name="Submit" id="Submit"
                   value="<?php echo _('Revenir à la saisie en cours'); ?>">
        </p>
        <?php
    }

    if ($ta == 'm') {
        $fic_imp = 'perloc_lsti.php';
        $url_add = 'perloc_maj.php?td=add&code=';
    }

    $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');

    $rech = cree_strrechlstperloc();
    switch ($ta) {
        case 'p' :
            if (stripos($rech,'WHERE ') == FALSE) {
                $rech .= ' WHERE `perloc_valide`=1';
            } else {
                $rech .= ' AND `perloc_valide`=1';
            }
            break;
    }
    $rech .= crestr_triord($perloc_titre_col, 'perloc_code', FALSE, $limit);

    $rows = $db->get_results($rech, ARRAY_A);
    close_database();

    if ($rows) {
        $numrows = count($rows);
        include_once '../inc/formr.inc.php';

        $rech = modstr_triord($rech, $perloc_titre_col, 'perloc_code', TRUE, $limit);

        $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');

        $rows = $db->get_results($rech, ARRAY_A);

        // *** Pagination de pied
        pagine_lst($numrows, $limit);

        // *** Affichage de la table
        echo '<table class="Mtable" border="0" width="100%" cellpadding="0" cellspacing="0">';

        // création entête
        titlst($perloc_titre_col);
        echo '<th>' . _('Cliquer') . '</th>';

        $i = 0;

        foreach ($rows as $row) {
            $row = encode_str($row);
            // création de l'entête de ligne (TR)
            echo '<tr>';

            $affok = TRUE;
            switch ($ta) {
                case 'p' :
                    $rech2 = 'SELECT COUNT(*) FROM `' . TBBARLOC . "` WHERE `barloc_codeperloc` = '" . $row['perloc_code'] . "' AND `barloc_codepdtloc` = '" . $cp . "'";
                    $nbres2 = $db->get_var($rech2);
                    if ($nbres2 <> 0) {
                        $affok = FALSE;
                    }
                    break;
                default :
                    break;
            }

            if ($affok == TRUE) {
                echo '<td>' . $row['perloc_code'] . '</td>';
                echo '<td>' . $row['perloc_desc'] . '</td>';

                // CREATION lien dynamique sur icône (édition, suppression, etc...)
                echo '<td>';
                echo '<div align="center">';
                switch ($ta) {
                    case 'm' :
                        $lst_maj = TRUE;
                        cre_falselnk_img('', 'perloc_edit_' . $row['perloc_id'], 'span', 'center', _('Edition'), 'lnk', 'perloc_maj.php?td=edit&code=' . $row['perloc_code'], '../img/edit.png');
                        $lst_del = TRUE;
                        cre_falselnk_img('', 'perloc_del_' . $row['perloc_id'], 'span', 'center', _('Suppression'), 'lnk', 'perloc_maj.php?td=del&code=' . $row['perloc_code'], '../img/del.png');
                        break;
                    case 'p' :
                        $lst_bar = TRUE;
                        cre_falselnk_img('', 'barloc_add_' . $row['perloc_id'], 'span', 'center', _('Ajout barême'), 'lnk', 'barloc_maj.php?td=add&cp=' . $cp . '&pl=' . $row['perloc_code'], '../img/barloc.png');
                        break;
                    default :
                        break;
                }
                echo '</div>';
                echo '</td>';

                echo '</tr>';
            }

            $i++;
        }
        echo '</table>';
        // *** Fin affichage de la table

        close_database();

        // *** Pagination de pied
        pagine_lst($numrows, $limit);

        $taille_piedla = '';
        include_once '../inc/piedla.inc.php';
    } else {
        retpp();
    }

} else {
    pop_ret_auto(_('Problème de paramètres'), 'warn', 'index.php');
}

if ($ta == 'm') {
    include_once 'pied.php';
}
?>
</body>
</html>