<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.5
 *
 * Copyright (C) 2006-2017  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/


// Vérification des tentatives de hack
$pos = strpos($_SERVER['PHP_SELF'], 'inc.php');
if ($pos !== FALSE) {
    header('Location: ../index.php');
}

include_once '../inc/config.inc.php';
include_once '../inc/func.inc.php';
include_once '../inc/func_log.inc.php';
include_once '../inc/func_txt.inc.php';
include_once '../inc/func_geo.inc.php';
include_once '../inc/fic_age.inc.php';
include_once '../inc/fic_cli.inc.php';
include_once '../inc/fic_droits.inc.php';
include_once '../inc/fic_rel.inc.php';
include_once '../classes/ezSQL/shared/ez_sql_core.php';
include_once '../classes/ezSQL/mysqli/ez_sql_mysqli.php';
include_once '../inc/func_sql.inc.php';
Archivelog(valsession('code_log'));
// Variables Formulaire
fix_magic_quotes();
$_GET = clean_str($_GET);

$tfr = (int)$_GET['tfr']; // Récupération type Fiche Relevé
$cc = $_GET['cc']; // Récupération Code Client
$agence = valsession('code_age'); // Récupération code agence

if (($tfr <> '') AND ($cc <> '') AND (($tfr == 1) OR ($tfr == 2))) {
    // Récupération des données client
    $row = lit_enr_cli($cc, TRUE);
    $row = encode_str($row);
    extract($row);

    include_once '../classes/tcpdf/config/tcpdf_config.php';
    include_once '../classes/tcpdf/tcpdf.php';
    include_once '../inc/tcpdf_ext.inc.php';

    $pdf = new PDF_SMI('L', PDF_UNIT, PDF_PAGE_FORMAT, true, 'UTF-8', false);
    $pdf->setFontLng('fr');
    $pdf->set_add_margin();
    $pdf->SetCreator(PDF_CREATOR);
    $pdf->SetAuthor('SMI');
    $pdf->SetTitle(_('Dossier Vierge'));
    $pdf->SetSubject(_('Dossier Vierge'));
    $pdf->settheader('relv');

    // set default monospaced font
    $pdf->SetDefaultMonospacedFont(PDF_FONT_MONOSPACED);

    //set margins
    $pdf->SetMargins(PDF_MARGIN_LEFT, PDF_MARGIN_TOP, PDF_MARGIN_RIGHT);
    $pdf->setHeaderMargin(PDF_MARGIN_HEADER);
    $pdf->setFooterMargin(PDF_MARGIN_FOOTER);

    //set auto page breaks
    $pdf->SetAutoPageBreak(TRUE, PDF_MARGIN_BOTTOM);

    $pdf->SetLeftMargin(10);
    $pdf->SetLineWidth(0.2);
    $pdf->AddPage();

    // Récupération Coordonnées sous entête
    $Pos_Entete = $pdf->GetY();

    // Impression du détail client
    $pdf->SetFont('', 'BU', 12); // Titre
    $pdf->Cell(95, 5, _('CLIENT'), 0, 1, 'C');

    $ent_cli = ''; // Détail
    if ($cli_ste <> '') {
        $ent_cli .= $cli_ste . "\n";
        $ent_cli .= $cli_civilite . ' ' . $cli_prenom . ' ' . $cli_nom . "\n";
    } else {
        $ent_cli .= $cli_civilite . ' ' . $cli_prenom . ' ' . $cli_nom . "\n\n";
    } // Double saut pour compenser le manque de la société
    $pdf->SetFont('', 'B', 10);
    $pdf->MultiCell(138, 4, $ent_cli, 0, 'L');

    $ent_cli = $cli_adr1 . "\n"; // Suite...
    if (trim($cli_adr2) <> '') {
        $ent_cli .= $cli_adr2 . "\n";
    }
    $ent_cli .= Retournecp_Id($cli_ville, TRUE) . ' ' . Retourneville_Id($cli_ville, TRUE) . "\n";
    $ent_cli .= _('Tel') . ' : ' . $cli_telf . "\n";
    $ent_cli .= _('Fax') . ' : ' . $cli_fax;
    if (trim($cli_tvai) <> '') {
        $ent_cli .= "\n" . _('TVA') . ' : ' . $cli_tvai;
    }
    $pdf->SetFont('', '', 10);
    $pdf->MultiCell(138, 4, $ent_cli, 0, 'L');

    // Récupération Coordonnées
    $Pos_EntCli = $pdf->GetY();

    // Impression du détail Relevé
    $pdf->SetY($Pos_Entete + 1); // Renvoie le pointeur SOUS l'entête agence

    $pdf->Cell(138);

    $pdf->SetFont('', '', 8);
    $ent_rel = "\n";
    $ent_rel .= _('Racine codage') . ' :' . "\n";
    $ent_rel .= _('Dernier N° machine') . ' :' . "\n";
    $ent_rel .= "\n";
    $ent_rel .= "\n";
    $ent_rel .= "\n";
    $ent_rel .= "\n";

    $pdf->MultiCell(30, 4, $ent_rel, 0, 'R');

    $pdf->SetY($Pos_Entete + 1); // Renvoie le pointeur SOUS l'entête agence
    $pdf->Cell(168);

    $pdf->SetFont('', '', 8);
    $ent_rel = "\n";
    $ent_rel .= str_repeat('_', 20) . "\n";
    $ent_rel .= str_repeat('_', 8) . "\n";
    $ent_rel .= "\n";
    $ent_rel .= "\n";
    $ent_rel .= "\n";
    $ent_rel .= "\n";

    $pdf->MultiCell(109, 4, $ent_rel, 0, 'L');

    // Récupération Coordonnées
    $Pos_EntDetail = $pdf->GetY();

    $PosY = max($Pos_EntCli, $Pos_EntDetail);
    $pdf->SetY($PosY);
    $pdf->Ln(1);
    $pdf->SetDrawColor(125);
    $pdf->SetLineWidth(0.4);
    $pdf->SetLineStyle(['dash' => 2]);
    $pdf->Line(10, $PosY, 200 + $pdf->add_margin, $PosY);
    $pdf->SetDrawColor(0);
    $pdf->SetLineWidth(0.2);
    $pdf->SetDrawColor(220);
    $pdf->SetLineStyle(['dash' => 0]);
    $pdf->Ln(1);

    $pdf->SetFont('', 'B', 8);
    $pdf->Cell(30, 4, _('Site utilisation') . ' : ', 0, 0, 'R');
    $pdf->SetFont('', '', 8);
    $pdf->SetDrawColor(125);
    $pdf->Cell(150, 4, str_repeat('_', 150), 0, 1, 'L');
    $pdf->SetDrawColor(0);

    switch ($tfr) {
        case 1 :
            //
            // Impression des fiches licences
            //

            // Marque
            $pdf->SetFont('', 'B', 8);
            $pdf->Cell(30, 4, _('Marque') . ' : ', 0, 0, 'R');
            $pdf->SetFont('', '', 8);
            $pdf->Cell(247, 4, str_repeat('_', 40), 0, 1, 'L');

            // Modèle
            $pdf->SetFont('', 'B', 8);
            $pdf->Cell(30, 4, _('Modèle') . ' : ', 0, 0, 'R');
            $pdf->SetFont('', '', 8);
            $pdf->Cell(247, 4, str_repeat('_', 40), 0, 1, 'L');

            // Version
            $pdf->SetFont('', 'B', 8);
            $pdf->Cell(30, 4, _('Version') . ' : ', 0, 0, 'R');
            $pdf->SetFont('', '', 8);
            $pdf->Cell(247, 4, str_repeat('_', 10), 0, 1, 'L');

            // Type
            $pdf->SetFont('', 'B', 8);
            $pdf->Cell(30, 4, _('Type') . ' : ', 0, 0, 'R');
            $pdf->SetFont('', '', 8);
            $pdf->Cell(247, 4, str_repeat('_', 40), 0, 1, 'L');

            // Maximum de postes
            $pdf->SetFont('', 'B', 8);
            $pdf->Cell(30, 4, _('Maximum de postes') . ' : ', 0, 0, 'R');
            $pdf->SetFont('', '', 8);
            $pdf->Cell(247, 4, str_repeat('_', 4) . ' (' . _('Utilisé') . ' : ' . str_repeat('_', 4) . ')', 0, 1, 'L');

            $pdf->SetFont('', 'B', 8);
            $pdf->Cell(30, 4, _('Détail utilisation') . ' : ', 0, 0, 'R');
            $pdf->SetFont('', '', 7);
            $pdf->SetDrawColor(125);
            $pdf->Cell(150, 4, str_repeat('_', 150), 0, 1, 'L');
            $pdf->SetDrawColor(0);
            $pdf->Cell(30, 4, '(' . _('Noter les N° de folios produits') . ') : ', 0, 0, 'R');
            $pdf->SetDrawColor(125);
            $pdf->Cell(150, 4, str_repeat('_', 150), 0, 1, 'L');

            for ($i = 0; $i < 1; $i++) {
                $pdf->Cell(30);
                $pdf->Cell(150, 4, str_repeat('_', 150), 0, 1, 'L');
            }
            $pdf->SetDrawColor(0);

            // Média
            $pdf->SetFont('', 'B', 8);
            $pdf->Cell(30, 4, _('Média') . ' : ', 0, 0, 'R');
            $pdf->SetFont('', '', 8);
            $pdf->Cell(247, 4, str_repeat('_', 40), 0, 1, 'L');

            // Numéro
            $pdf->SetFont('', 'B', 8);
            $pdf->Cell(30, 4, _('Numéro') . ' : ', 0, 0, 'R');
            $pdf->SetFont('', '', 8);
            $pdf->Cell(247, 4, str_repeat('_', 40), 0, 1, 'L');

            // Clef
            $pdf->SetFont('', 'B', 8);
            $pdf->Cell(30, 4, _("Clef d'activation") . ' : ', 0, 0, 'R');
            $pdf->SetFont('', '', 8);
            $pdf->Cell(247, 4, str_repeat('_', 40), 0, 1, 'L');

            // A jour / Légale ?
            $pdf->SetFont('', 'B', 8);
            $pdf->Cell(30, 4, _('A jour / Légale') . ' : ', 0, 0, 'R');
            $pdf->SetFont('', '', 8);
            $pdf->Cell(247, 4, '___/___', 0, 1, 'L');

            // Date Validité
            $pdf->SetFont('', 'B', 8);
            $pdf->Cell(30, 4, _('Date de validité') . ' : ', 0, 0, 'R');
            $pdf->SetFont('', '', 8);
            $pdf->Cell(247, 4, _('__/__/____'), 0, 1, 'L');

            /********************************/
            /* Informations complémentaires */
            /********************************/
            $pdf->Ln(2);
            $pdf->SetFont('', 'BU', 10);
            $pdf->Cell(277, 5, _('INFORMATIONS COMPLEMENTAIRES'), '', 1, 'L');
            $pdf->Ln(2);

            /*********/
            /* Notes */
            /*********/
            $pdf->SetFont('', 'B', 8);
            $pdf->Cell(30, 4, _('Notes') . ' : ', 0, 0, 'R');
            $pdf->SetFont('', '', 7);
            $pdf->SetDrawColor(125);
            $pdf->Cell(150, 4, str_repeat('_', 150), 0, 1, 'L');
            for ($i = 0; $i < 2; $i++) {
                $pdf->Cell(30);
                $pdf->Cell(150, 4, str_repeat('_', 150), 0, 1, 'L');
            }
            $pdf->Ln(2);

            /*******************/
            /* Télémaintenance */
            /*******************/
            $pdf->SetFont('', 'IB', 8);
            $pdf->Cell(7);
            $pdf->Cell(30, 4, _('Télémaintenance') . ' : ', 'LTR', 0, 'R');

            $pdf->SetFont('', 'I', 8);

            // Type d'accès
            $pdf->Cell(30, 4, _("Type d'accès") . ' : ', 'LTR', 0, 'R');
            $pdf->Cell(144, 4, str_repeat('_', 40), 'LTR', 1, 'L');

            // Mode d'accès
            $pdf->Cell(7);
            $pdf->Cell(30, 4, '', 'LR', 0, 'R');
            $pdf->Cell(30, 4, _("Mode d'accès") . ' : ', 'R', 0, 'R');
            $pdf->Cell(144, 4, str_repeat('_', 40), 'R', 1, 'L');

            // Logiciel télémaintenance
            $pdf->Cell(7);
            $pdf->Cell(30, 4, '', 'LR', 0, 'R');
            $pdf->Cell(30, 4, _('Logiciel télém.') . ' : ', 'R', 0, 'R');
            $pdf->Cell(144, 4, str_repeat('_', 40), 'R', 1, 'L');

            // Mode Service
            $pdf->Cell(7);
            $pdf->Cell(30, 4, '', 'LR', 0, 'R');
            $pdf->Cell(30, 4, _('Mode service ?') . ' : ', 'R', 0, 'R');
            $pdf->Cell(144, 4, _('Oui / Non'), 'R', 1, 'L');

            // Lien d'accès
            $pdf->Cell(7);
            $pdf->Cell(30, 4, '', 'LR', 0, 'R');
            $pdf->Cell(30, 4, _("Lien d'accès") . ' : ', 'R', 0, 'R');
            $pdf->Cell(144, 4, str_repeat('_', 80), 'R', 1, 'L');

            // Login/MDP
            $pdf->Cell(7);
            $pdf->Cell(30, 4, '', 'LR', 0, 'R');
            $pdf->Cell(30, 4, _('Login / MDP') . ' : ', 'R', 0, 'R');
            $pdf->Cell(144, 4, str_repeat('_', 20) . ' / ' . str_repeat('_', 20), 'R', 1, 'L');

            // Arrêt exploitation
            $pdf->Cell(7);
            $pdf->Cell(30, 4, '', 'LR', 0, 'R');
            $pdf->Cell(30, 4, _('Arrêt exploitation ?') . ' : ', 'R', 0, 'R');
            $pdf->Cell(144, 4, _('Oui / Non'), 'R', 1, 'L');

            // Redémarrage
            $pdf->Cell(7);
            $pdf->Cell(30, 4, '', 'LR', 0, 'R');
            $pdf->Cell(30, 4, _('Redémarrage ?') . ' : ', 'R', 0, 'R');
            $pdf->Cell(144, 4, _('Oui / Non'), 'R', 1, 'L');

            $PosY = $pdf->GetY();
            $pdf->Line(17, $PosY, 221, $PosY); // On "ferme" le tableau

            $pdf->Ln(2);

            /****************/
            /* Mises à jour */
            /****************/
            $pdf->SetFont('', 'IB', 8);
            $pdf->Cell(7);
            $pdf->Cell(30, 4, _('Mises à jour') . ' : ', 'LTR', 0, 'R');

            $pdf->SetFont('', 'I', 8);

            // Mode
            $pdf->Cell(30, 4, _('Mode') . ' : ', 'LTR', 0, 'R');
            $pdf->Cell(144, 4, str_repeat('_', 40), 'LTR', 1, 'L');

            // Fréquence/type
            $pdf->Cell(7);
            $pdf->Cell(30, 4, '', 'LR', 0, 'R');
            $pdf->Cell(30, 4, _('Fréquence') . ' : ', 'R', 0, 'R');
            $pdf->Cell(144, 4, str_repeat('_', 40) . ' -> type ' . str_repeat('_', 20), 'R', 1, 'L');

            // Date échéance
            $pdf->Cell(7);
            $pdf->Cell(30, 4, '', 'LR', 0, 'R');
            $pdf->Cell(30, 4, _('Echéance') . ' : ', 'R', 0, 'R');
            /** @noinspection PhpUndefinedConstantInspection */
            $pdf->Cell(144, 4, _('__/__/____'), 'R', 1, 'L');

            // Date mise à jour
            $pdf->Cell(7);
            $pdf->Cell(30, 4, '', 'LR', 0, 'R');
            $pdf->Cell(30, 4, _('Dernière MAJ') . ' : ', 'R', 0, 'R');
            $pdf->Cell(144, 4, _('__/__/____'), 'R', 1, 'L');

            // Arrêt exploitation
            $pdf->Cell(7);
            $pdf->Cell(30, 4, '', 'LR', 0, 'R');
            $pdf->Cell(30, 4, _('Arrêt exploitation ?') . ' : ', 'R', 0, 'R');
            $pdf->Cell(144, 4, _('Oui / Non'), 'R', 1, 'L');

            // Redémarrage
            $pdf->Cell(7);
            $pdf->Cell(30, 4, '', 'LR', 0, 'R');
            $pdf->Cell(30, 4, _('Redémarrage ?') . ' : ', 'R', 0, 'R');
            $pdf->Cell(144, 4, _('Oui / Non'), 'R', 1, 'L');

            $PosY = $pdf->GetY();
            $pdf->Line(17, $PosY, 221, $PosY); // On "ferme" le tableau

            $pdf->Ln(2);

            /*************/
            /* Problèmes */
            /*************/
            $pdf->SetFont('', 'BU', 10);
            $pdf->Cell(277, 5, _('PROBLEMES'), 0, 1, 'C');
            $pdf->Ln(1);
            $pdf->SetFont('', '', 7);
            $pdf->SetDrawColor(125);
            for ($i = 0; $i < 5; $i++) {
                $pdf->Cell(200, 4, str_repeat('_', 200), 0, 1, 'L');
            }

            $pdf->Ln(5);

            // Validation
            $pdf->SetFont('', 'B', 8);
            $pdf->Cell(30, 4, _('Validé par') . ' : ', 0, 0, 'R');
            $pdf->SetFont('', '', 8);
            $pdf->Cell(100, 4, str_repeat('_', 50), 0, 0, 'L');
            $pdf->Cell(3);

            // Signature
            $pdf->SetFont('', 'B', 8);
            $pdf->Cell(30, 4, _('Signature & Tampon') . ' : ', 0, 0, 'R');
            $pdf->SetFont('', '', 8);
            $pdf->MultiCell(100, 4, str_repeat("\n", 3), 0, 'L');

            break;

        case 2 :
            //
            // Impression des fiches Matériels
            //

            // Catégorie
            $pdf->SetFont('', 'B', 8);
            $pdf->Cell(30, 4, _('Catégorie') . ' : ', 0, 0, 'R');
            $pdf->SetFont('', '', 8);
            $pdf->Cell(247, 4, str_repeat('_', 40), 0, 1, 'L');

            // Marque
            $pdf->SetFont('', 'B', 8);
            $pdf->Cell(30, 4, _('Marque') . ' : ', 0, 0, 'R');
            $pdf->SetFont('', '', 8);
            $pdf->Cell(247, 4, str_repeat('_', 40), 0, 1, 'L');

            // Modèle & NS
            $pdf->SetFont('', 'B', 8);
            $pdf->Cell(30, 4, _('Modèle / NS') . ' : ', 0, 0, 'R');
            $pdf->SetFont('', '', 8);
            $pdf->Cell(247, 4, str_repeat('_', 40) . ' / ' . str_repeat('_', 40), 0, 1, 'L');

            // Emplacement
            $pdf->SetFont('', 'B', 8);
            $pdf->Cell(30, 4, _('Emplacement') . ' : ', 0, 0, 'R');
            $pdf->SetFont('', '', 8);
            $pdf->Cell(247, 4, str_repeat('_', 40), 0, 1, 'L');

            // Codage
            $pdf->SetFont('', 'B', 8);
            $pdf->Cell(30, 4, _('Codage Produit') . ' : ', 0, 0, 'R');
            $pdf->SetFont('', '', 8);
            $pdf->Cell(247, 4, str_repeat('_', 20), 0, 1, 'L');

            // Utilisateur
            $pdf->SetFont('', 'B', 8);
            $pdf->Cell(30, 4, _('Utilisateur') . ' : ', 0, 0, 'R');
            $pdf->SetFont('', '', 8);
            $pdf->Cell(247, 4, str_repeat('_', 40), 0, 1, 'L');

            // Date Achat
            $pdf->SetFont('', 'B', 8);
            $pdf->Cell(30, 4, _("Date d'achat") . ' : ', 0, 0, 'R');
            $pdf->SetFont('', '', 8);
            $pdf->Cell(247, 4, _('__/__/____'), 0, 1, 'L');

            // Fin de Garantie
            $pdf->SetFont('', 'B', 8);
            $pdf->Cell(30, 4, _('Date fin de garantie') . ' : ', 0, 0, 'R');
            $pdf->SetFont('', '', 8);
            $pdf->Cell(247, 4, _('__/__/____'), 0, 1, 'L');

            // Gtie Sur site / propriétaire
            $pdf->SetFont('', 'B', 8);
            $pdf->Cell(30, 4, _('G. site / Propriétaire') . ' : ', 0, 0, 'R');
            $pdf->SetFont('', '', 8);
            $pdf->Cell(247, 4, _('___ / ___'), 0, 1, 'L');


            /********************************/
            /* Informations complémentaires */
            /********************************/

            $pdf->Ln(2);
            $pdf->SetFont('', 'BU', 10);
            $pdf->Cell(277, 5, _('INFORMATIONS COMPLEMENTAIRES'), '', 1, 'L');
            $pdf->Ln(2);

            /*********/
            /* Notes */
            /*********/
            $pdf->SetFont('', 'B', 8);
            $pdf->Cell(30, 4, _('Notes') . ' : ', 0, 0, 'R');
            $pdf->SetFont('', '', 7);
            $pdf->SetDrawColor(125);
            $pdf->Cell(150, 4, str_repeat('_', 150), 0, 1, 'L');
            for ($i = 0; $i < 2; $i++) {
                $pdf->Cell(30);
                $pdf->Cell(150, 4, str_repeat('_', 150), 0, 1, 'L');
            }

            $pdf->Ln(2);

            /************/
            /* Licences */
            /************/
            $pdf->SetFont('', 'IB', 8);
            $pdf->Cell(30, 4, _('Détail licences') . ' : ', 0, 0, 'R');
            $pdf->SetFont('', '', 7);
            $pdf->Cell(150, 4, str_repeat('_', 150), 0, 1, 'L');
            $pdf->Cell(30, 4, '(' . _('Noter les N° de folios licences') . ') : ', 0, 0, 'R');
            $pdf->SetFont('', '', 7);
            $pdf->Cell(150, 4, str_repeat('_', 150), 0, 1, 'L');

            for ($i = 0; $i < 1; $i++) {
                $pdf->Cell(30);
                $pdf->Cell(150, 4, str_repeat('_', 150), 0, 1, 'L');
            }

            $pdf->Ln(2);

            /**********/
            /* Réseau */
            /**********/
            $pdf->SetFont('', 'IB', 8);
            $pdf->Cell(7);
            $pdf->Cell(30, 4, _('Réseau') . ' : ', 'LTR', 0, 'R');

            // Nom du poste
            $pdf->SetFont('', 'B', 8);
            $pdf->Cell(30, 4, _('Nom du poste') . ' : ', 'LTR', 0, 'R');
            $pdf->SetFont('', '', 8);
            $pdf->Cell(144, 4, str_repeat('_', 20), 'LTR', 1, 'L');

            // Groupe Travail
            $pdf->SetFont('', 'B', 8);
            $pdf->Cell(7);
            $pdf->Cell(30, 4, '', 'LR', 0, 'R');
            $pdf->Cell(30, 4, _('Groupe de Travail') . ' : ', 'R', 0, 'R');
            $pdf->SetFont('', '', 8);
            $pdf->Cell(144, 4, str_repeat('_', 40), 'R', 1, 'L');

            // Domaine
            $pdf->SetFont('', 'B', 8);
            $pdf->Cell(7);
            $pdf->Cell(30, 4, '', 'LR', 0, 'R');
            $pdf->Cell(30, 4, _('Domaine') . ' : ', 'R', 0, 'R');
            $pdf->SetFont('', '', 8);
            $pdf->Cell(144, 4, str_repeat('_', 40), 'R', 1, 'L');

            // Login / MDP
            $pdf->SetFont('', 'B', 8);
            $pdf->Cell(7);
            $pdf->Cell(30, 4, '', 'LR', 0, 'R');
            $pdf->Cell(30, 4, _('Login / MDP') . ' : ', 'R', 0, 'R');
            $pdf->SetFont('', '', 8);
            $pdf->Cell(144, 4, str_repeat('_', 40) . ' / ' . str_repeat('_', 40), 'R', 1, 'L');

            // MAC
            $pdf->SetFont('', 'B', 8);
            $pdf->Cell(7);
            $pdf->Cell(30, 4, '', 'LR', 0, 'R');
            $pdf->Cell(30, 4, _('Adresse MAC') . ' : ', 'R', 0, 'R');
            $pdf->SetFont('', '', 8);
            $pdf->Cell(144, 4, str_repeat('_', 40), 'R', 1, 'L');

            // Mode IP
            $pdf->SetFont('', 'B', 8);
            $pdf->Cell(7);
            $pdf->Cell(30, 4, '', 'LR', 0, 'R');
            $pdf->Cell(30, 4, _('Mode IP') . ' : ', 'R', 0, 'R');
            $pdf->SetFont('', '', 8);
            $pdf->Cell(144, 4, _('IP Fixe / IP dynamique'), 'R', 1, 'L');

            // serveur DHCP
            $pdf->SetFont('', 'B', 8);
            $pdf->Cell(7);
            $pdf->Cell(30, 4, '', 'LR', 0, 'R');
            $pdf->Cell(30, 4, _('Serveur DHCP') . ' : ', 'R', 0, 'R');
            $pdf->SetFont('', '', 8);
            $pdf->Cell(144, 4, _('Oui / Non'), 'R', 1, 'L');

            // Plage IP / Masque
            $pdf->SetFont('', 'B', 8);
            $pdf->Cell(7);
            $pdf->Cell(30, 4, '', 'LR', 0, 'R');
            $pdf->Cell(30, 4, _('Plage IP / Masque') . ' : ', 'R', 0, 'R');
            $pdf->SetFont('', '', 8);
            $pdf->Cell(144, 4, str_repeat('_', 20) . ' / ' . str_repeat('_', 20) . ' / ' . str_repeat('_', 20), 'R', 1, 'L');

            // IP / Masque / Passerelle
            $pdf->SetFont('', 'B', 8);
            $pdf->Cell(7);
            $pdf->Cell(30, 4, '', 'LR', 0, 'R');
            $pdf->Cell(30, 4, _('IP / Masque / Pass.') . ' : ', 'R', 0, 'R');
            $pdf->SetFont('', '', 8);
            $pdf->Cell(144, 4, str_repeat('_', 20) . ' / ' . str_repeat('_', 20) . ' / ' . str_repeat('_', 20), 'R', 1, 'L');

            // Numéros de prises
            $pdf->SetFont('', 'B', 8);
            $pdf->Cell(7);
            $pdf->Cell(30, 4, '', 'LR', 0, 'R');
            $pdf->Cell(30, 4, _('Numéro de prise') . ' : ', 'R', 0, 'R');
            $pdf->SetFont('', '', 8);
            $pdf->Cell(144, 4, _('Murale') . ' : ' . str_repeat('_', 15) . ' / Baie : ' . str_repeat('_', 15) . ' / Commutateur : ' . str_repeat('_', 15), 'R', 1, 'L');

            // SNMP / WOL
            $pdf->SetFont('', 'B', 8);
            $pdf->Cell(7);
            $pdf->Cell(30, 4, '', 'LR', 0, 'R');
            $pdf->Cell(30, 4, _('SNMP / WEP') . ' : ', 'R', 0, 'R');
            $pdf->SetFont('', '', 8);
            $pdf->Cell(144, 4, ' ______ / ______', 'R', 1, 'L');

            // SID / WEP
            $pdf->SetFont('', 'B', 8);
            $pdf->Cell(7);
            $pdf->Cell(30, 4, '', 'LR', 0, 'R');
            $pdf->Cell(30, 4, _('SID / WEP') . ' : ', 'R', 0, 'R');
            $pdf->SetFont('', '', 8);
            $pdf->Cell(144, 4, str_repeat('_', 42) . ' / ' . str_repeat('_', 42), 'R', 1, 'L');

            $PosY = $pdf->GetY();
            $pdf->Line(17, $PosY, 221, $PosY); // On "ferme" le tableau

            $pdf->Ln(2);

            /*******************/
            /* Télémaintenance */
            /*******************/
            $pdf->SetFont('', 'IB', 8);
            $pdf->Cell(7);
            $pdf->Cell(30, 4, _('Télémaintenance') . ' : ', 'LTR', 0, 'R');

            $pdf->SetFont('', 'I', 8);

            // Type d'accès
            $pdf->Cell(30, 4, _("Type d'accès") . ' : ', 'LTR', 0, 'R');
            $pdf->Cell(144, 4, str_repeat('_', 40), 'LTR', 1, 'L');

            // Mode d'accès
            $pdf->Cell(7);
            $pdf->Cell(30, 4, '', 'LR', 0, 'R');
            $pdf->Cell(30, 4, _("Mode d'accès") . ' : ', 'R', 0, 'R');
            $pdf->Cell(144, 4, str_repeat('_', 40), 'R', 1, 'L');

            // Logiciel télémaintenance
            $pdf->Cell(7);
            $pdf->Cell(30, 4, '', 'LR', 0, 'R');
            $pdf->Cell(30, 4, _('Logiciel télém.') . ' : ', 'R', 0, 'R');
            $pdf->Cell(144, 4, str_repeat('_', 40), 'R', 1, 'L');

            // Mode Service
            $pdf->Cell(7);
            $pdf->Cell(30, 4, '', 'LR', 0, 'R');
            $pdf->Cell(30, 4, _('Mode service ?') . ' : ', 'R', 0, 'R');
            $pdf->Cell(144, 4, _('Oui / Non'), 'R', 1, 'L');

            // Lien d'accès
            $pdf->Cell(7);
            $pdf->Cell(30, 4, '', 'LR', 0, 'R');
            $pdf->Cell(30, 4, _("Lien d'accès") . ' : ', 'R', 0, 'R');
            $pdf->Cell(144, 4, str_repeat('_', 80), 'R', 1, 'L');

            // Login/MDP
            $pdf->Cell(7);
            $pdf->Cell(30, 4, '', 'LR', 0, 'R');
            $pdf->Cell(30, 4, _('Login / MDP') . ' : ', 'R', 0, 'R');
            $pdf->Cell(144, 4, str_repeat('_', 20) . ' / ' . str_repeat('_', 20), 'R', 1, 'L');

            // Arrêt exploitation
            $pdf->Cell(7);
            $pdf->Cell(30, 4, '', 'LR', 0, 'R');
            $pdf->Cell(30, 4, _('Arrêt exploitation ?') . ' : ', 'R', 0, 'R');
            $pdf->Cell(144, 4, _('Oui / Non'), 'R', 1, 'L');

            // Redémarrage
            $pdf->Cell(7);
            $pdf->Cell(30, 4, '', 'LR', 0, 'R');
            $pdf->Cell(30, 4, _('Redémarrage ?') . ' : ', 'R', 0, 'R');
            $pdf->Cell(144, 4, _('Oui / Non'), 'R', 1, 'L');

            $PosY = $pdf->GetY();
            $pdf->Line(17, $PosY, 221, $PosY); // On "ferme" le tableau

            $pdf->Ln(2);

            /****************/
            /* Mises à jour */
            /****************/
            $pdf->SetFont('', 'IB', 8);
            $pdf->Cell(7);
            $pdf->Cell(30, 4, _('Mises à jour') . ' : ', 'LTR', 0, 'R');

            $pdf->SetFont('', 'I', 8);

            // Mode
            $pdf->Cell(30, 4, _('Mode') . ' : ', 'LTR', 0, 'R');
            $pdf->Cell(144, 4, str_repeat('_', 40), 'LTR', 1, 'L');

            // Fréquence/type
            $pdf->Cell(7);
            $pdf->Cell(30, 4, '', 'LR', 0, 'R');
            $pdf->Cell(30, 4, _('Fréquence') . ' : ', 'R', 0, 'R');
            $pdf->Cell(144, 4, str_repeat('_', 40) . ' -> type ' . str_repeat('_', 20), 'R', 1, 'L');

            // Date échéance
            $pdf->Cell(7);
            $pdf->Cell(30, 4, '', 'LR', 0, 'R');
            $pdf->Cell(30, 4, _('Echéance') . ' : ', 'R', 0, 'R');
            $pdf->Cell(144, 4, _('__/__/____'), 'R', 1, 'L');

            // Date mise à jour
            $pdf->Cell(7);
            $pdf->Cell(30, 4, '', 'LR', 0, 'R');
            $pdf->Cell(30, 4, _('Dernière MAJ') . ' : ', 'R', 0, 'R');
            $pdf->Cell(144, 4, _('__/__/____'), 'R', 1, 'L');

            // Arrêt exploitation
            $pdf->Cell(7);
            $pdf->Cell(30, 4, '', 'LR', 0, 'R');
            $pdf->Cell(30, 4, _('Arrêt exploitation ?') . ' : ', 'R', 0, 'R');
            $pdf->Cell(144, 4, _('Oui / Non'), 'R', 1, 'L');

            // Redémarrage
            $pdf->Cell(7);
            $pdf->Cell(30, 4, '', 'LR', 0, 'R');
            $pdf->Cell(30, 4, _('Redémarrage ?') . ' : ', 'R', 0, 'R');
            $pdf->Cell(144, 4, _('Oui / Non'), 'R', 1, 'L');

            $PosY = $pdf->GetY();
            $pdf->Line(17, $PosY, 221, $PosY); // On "ferme" le tableau

            $pdf->Ln(2);

            /*************/
            /* Problèmes */
            /*************/
            $pdf->SetFont('', 'BU', 10);
            $pdf->Cell(277, 5, _('PROBLEMES'), 0, 1, 'C');
            $pdf->Ln(2);
            $pdf->SetFont('', '', 7);
            $pdf->SetDrawColor(125);
            for ($i = 0; $i < 5; $i++) {
                $pdf->Cell(200, 4, str_repeat('_', 200), 0, 1, 'L');
            }

            $pdf->Ln(5);

            // Validation
            $pdf->SetFont('', 'B', 8);
            $pdf->Cell(30, 4, _('Validé par') . ' : ', 0, 0, 'R');
            $pdf->SetFont('', '', 8);
            $pdf->Cell(100, 4, str_repeat('_', 50), 0, 0, 'L');
            $pdf->Cell(3);

            // Signature
            $pdf->SetFont('', 'B', 8);
            $pdf->Cell(30, 4, _('Signature & Tampon') . ' : ', 0, 0, 'R');
            $pdf->SetFont('', '', 8);
            $pdf->MultiCell(100, 4, str_repeat("\n", 4), 0, 'L');

            break;

        default :
            break;
    }
    $url_pdf = $url_gfc . '/pj/rel_vierge.pdf';
    $pdf->Output($url_pdf, 'FI');
    killfile($url_pdf);
}
