<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.5
 *
 * Copyright (C) 2006-2017  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/


// vérification des tentatives de hack
$pos = strpos($_SERVER['PHP_SELF'], 'inc.php');
if ($pos !== FALSE) {
    header('Location: ../index.php');
}

include_once '../inc/func.inc.php';
include_once '../inc/func_date.inc.php';
include_once '../inc/func_geo.inc.php';
include_once '../inc/func_txt.inc.php';
include_once '../inc/fic_droits.inc.php';
include_once '../inc/fic_mque.inc.php';
include_once '../inc/fic_ret.inc.php';
include_once '../inc/lst.inc.php';
include_once '../classes/ezSQL/shared/ez_sql_core.php';
include_once '../classes/ezSQL/mysqli/ez_sql_mysqli.php';
include_once '../inc/func_sql.inc.php';
Archivelog(valsession('code_log'));
// Variables Formulaire
fix_magic_quotes();
$_GET = clean_str($_GET);

$_SESSION['typ_filtres'] = 'retd';

$fi = '';
if (isset($_GET['fi']) && (trim($_GET['fi']) <> '')) {
    $fi = (int)$_GET['fi'];
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>

    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <title>SMI - <?php echo _('ESPACE PRIVE'); ?> : <?php echo _('Liste demandes de retour'); ?></title>

    <?php include_once '../inc/header.inc.php'; ?>

    <script type="text/javascript">
        <!--
        function init_all() {
            init_Body();
            init_autohref_classe('falselnkimg', '');
            <?php if (($td=='view') OR ($td=='del')) {echo 'readonly_all();';} ?>
            <?php if ($td=='del') {echo "warn_del('');";} ?>
            init_new_fen('imprim', 'impression', 'click');
            Focus_first();
        }

        $(document).ready(function () {
            init_all();
        });
        //-->
    </script>
</head>

<body>

<?php include_once '../inc/entete.inc.php';
cre_ent_form(_('LISTE DES DEMANDES DE RETOUR'), '', '', '', FALSE);
$fic_imp = 'retd_lsti.php';
$tab_fi[] = _('Toutes les demandes');
$tab_fi[] = _('Demandes sans réponse');

$db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');

$rech = cree_strrechlstretd();
if (CheckNivLog('4')) {
    if (stripos($rech,'WHERE ') == FALSE) {
        $rech .= ' WHERE ' . TBRETP . ".retp_codeage='" . valsession('code_age') . "'";
    } else {
        $rech .= ' AND ' . TBRETP . ".retp_codeage='" . valsession('code_age') . "'";
    }
}
switch ($fi) {
    case '1' :
        if (stripos($rech,'WHERE ') == FALSE) {
            $rech .= " WHERE retd_daterep='0000-00-00'";
        } else {
            $rech .= " AND retd_daterep='0000-00-00'";
        }
        break;
    default :
        break;
}
$rech .= crestr_triord($retd_titre_col, 'retd_datedde', FALSE, $limit);

$rows = $db->get_results($rech, ARRAY_A);
close_database();

if ($rows) {
    $numrows = count($rows);
    include_once 'formr.inc.php';

    $rech = modstr_triord($rech, $retd_titre_col, 'retd_datedde', TRUE, $limit);

    $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');

    $rows = $db->get_results($rech, ARRAY_A);

    // *** Pagination de pied
    pagine_lst($numrows, $limit);

    // *** Affichage de la table
    echo '<table class="Mtable" border="0" width="100%" cellpadding="0" cellspacing="0">';

    // création entête
    titlst($retd_titre_col);
    echo '<th>' . _('Cliquer') . '</th>';


    $i = 0;


    foreach ($rows as $row) {
        $row = encode_str($row);
        // Affichage liste Demandes de retours

        // création de l'entête de ligne (TR)
        echo '<tr>';

        echo '<td align="center">';
        echo datetolocal($row['retd_datedde']);
        echo '</td>';
        echo '<td>';
        echo $row['retd_coderetp'];
        $row2 = lit_enr_retr($row['retd_coderetp'], FALSE);
        if (is_array($row2)) {
            $row2 = encode_str($row2);
            if ((int)$row2['retr_clos'] == 1) {
                $lst_retps = TRUE;
                echo ' <img src="../img/ok.png" title ="' . _('Traité le') . ' ' . datetolocal($row2['retr_dateret']) . '" border="0" align="absmiddle">';
            }
        }
        cre_falselnk_img('', 'retp_view_' . $row['retd_id'], 'span', 'center', _('Visualisation'), 'lnk', 'retp_maj.php?td=view&cpr=' . $row['retp_code'], '../img/eye.png');
        $row2 = lit_enr_mque($row['retd_codemque'], FALSE);
        if (is_array($row2)) {
            $row2 = encode_str($row2);
            echo '<span class="annot_petit_it">';
            echo '<br /> ->' . $row2['mque_ste'];
            cre_falselnk_img('', 'mque_view_' . $row['retd_id'], 'span', 'center', _('Visualisation'), 'lnk', 'mque_maj.php?td=edit&code=' . $row2['mque_code'], '../img/eye.png');
            echo '</span>';
        }
        $row2 = lit_enr_retp($row['retd_coderetp'], FALSE);
        if (is_array($row2)) {
            $row2 = encode_str($row2);
            echo '<span class="annot_petit_it">';
            echo '<br /> ->' . $row2['retp_des'] . ' (' . $row2['retp_ns'] . ')';
            echo '</span>';
        }
        echo '</td>';
        echo '<td align="center">';
        echo datetolocal($row['retd_daterep']);
        echo '</td>';
        echo '<td align="center">';
        echo '<span class="annot_std_gras">';
        echo $row['retd_rma'];
        echo '</span>';
        echo '</td>';
        echo '<td align="center">';
        if ($row['retp_codeenv'] <> '') {
            echo $row['retp_codeenv'];
            if (envoi_clos($row['retp_codeenv'], FALSE) == TRUE) {
                $lst_env = TRUE;
                echo ' <img src="../img/ok.png" title ="' . _('Envoyé le') . ' ' . datetolocal(date_envoi($row['retp_codeenv'], FALSE)) . '" border="0" align="absmiddle">';
            }
            cre_falselnk_img('', 'rete_view_' . $row['retd_id'], 'span', 'center', _('Visualisation'), 'lnk', 'rete_maj.php?td=edit&ce=' . $row['retp_codeenv'], '../img/eye.png');
        } else {
            echo '-';
        }
        echo '</td>';

        // CREATION lien dynamique sur icône (édition, suppression, etc...)
        echo '<td align="center">';

        $voir = FALSE;

        if (($row2['retp_codeenv'] <> '') OR (exist_enr_rete($row['retd_code'], FALSE) == TRUE)) {
            $voir = TRUE;
        }

        if ($voir == FALSE) {
            $lst_maj = TRUE;
            cre_falselnk_img('', 'retd_edit_' . $row['retd_id'], 'span', 'center', _('Edition'), 'lnk', 'retd_maj.php?td=edit&cpr=' . $row['retd_coderetp'], '../img/edit.png');
        } else {
            $lst_voir = TRUE;
            cre_falselnk_img('', 'retd_view_' . $row['retd_id'], 'span', 'center', _('Visualisation'), 'lnk', 'retd_maj.php?td=view&cpr=' . $row['retd_coderetp'], '../img/eye.png');
        }
        $lst_imp = TRUE;
        $urlimp = 'retd_pdf.php?cpr=' . $row['retd_coderetp'];
        cre_falselnk_img('', 'retd_prn_' . $row['retd_id'], 'span', 'center', _('Impression'), 'lnk', $urlimp, '../img/print.png');
        if ($voir == FALSE) {
            $lst_del = TRUE;
            cre_falselnk_img('', 'retd_del_' . $row['retd_id'], 'span', 'center', _('Suppression'), 'lnk', 'retd_maj.php?td=del&cpr=' . $row['retd_coderetp'], '../img/del.png');
        }

        echo '</td>';

        echo '</tr>';

        $i++;
    }
    echo '</table>';
    // *** Fin affichage de la table

    close_database();

    // *** Pagination de pied
    pagine_lst($numrows, $limit);

    $taille_piedla = '';
    include_once 'piedla.inc.php';
} else {
    retpp();
}
include_once 'pied.php';
?>
</body>
</html>