<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.5
 *
 * Copyright (C) 2006-2017  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/


// vérification des tentatives de hack
$pos = strpos($_SERVER['PHP_SELF'], 'inc.php');
$ok_inc = FALSE;
if ($pos === FALSE) {
    $ok_inc = TRUE;
}
if ($ok_inc == FALSE) {
    header('Location: ../index.php');
}


include_once '../inc/config.inc.php';
include_once '../inc/func.inc.php';
include_once '../inc/func_date.inc.php';
include_once '../inc/func_log.inc.php';
include_once '../inc/func_geo.inc.php';
include_once '../inc/func_txt.inc.php';
include_once '../inc/fic_age.inc.php';
include_once '../inc/fic_cli.inc.php';
include_once '../inc/fic_droits.inc.php';
include_once '../inc/fic_mque.inc.php';
include_once '../inc/fic_rpat.inc.php';
include_once '../inc/fic_tac.inc.php';
include_once '../inc/fic_tec.inc.php';
include_once '../inc/fic_zc.inc.php';
include_once '../inc/lst.inc.php';
include_once '../classes/ezSQL/shared/ez_sql_core.php';
include_once '../classes/ezSQL/mysqli/ez_sql_mysqli.php';
include_once '../inc/func_sql.inc.php';
Archivelog(valsession('code_log'));
// Variables Formulaire
fix_magic_quotes();
$_GET = clean_str($_GET);
$_POST = clean_str($_POST);

$td = $_GET['td']; // Récupération type demande
$cr = $_GET['cr']; // Récupération code relevé
$cc = $_GET['cc']; // Récupération code Client

// Pour affichage de l'alert en cas de problème non affecté
$affwarn = TRUE;

// Récupération id site
if (isset($_POST['site'])) {
    $idscli = (int)$_POST['site'];
    $affwarn = FALSE;
} else {
    $idscli = -1;
}

// Récupération filtre problème
if (isset($_POST['pbms'])) {
    $pbm = (int)$_POST['pbms'];
    $affwarn = FALSE;
} else {
    $pbm = 0;
}

// Récupération filtre validité/garantie
if (isset($_POST['valg'])) {
    $valg = (int)$_POST['valg'];
    $affwarn = FALSE;
} else {
    $valg = 0;
}

// vérification si  mot(s) recherché(s)
if (isset($_POST['valg'])) {
    $affwarn = FALSE;
}

if (CheckNivLog('1')) {
    $td = 'view';
}

$pbm_rel = FALSE;
$choixcli = FALSE;
$tab_cli = [];
$tab_cli = give_tab_rcli($_SESSION['code_log'], TRUE);
$lst_readonly = '';

if ($td <> 'add') {
    if ($cr <> '') {
        // Récupération des informations dossier relevé
        $row = lit_enr_rpat($cr);
        if (is_array($row)) {
            extract($row);

            // vérification des tentatives de hack
            switch (valsession('niv_log')) {
                // Contrôle qu'un client n'essaye pas de "hacker" un relevé
                case 1 :
                    if (exist_in_array($rpat_codecli, $tab_cli) == FALSE) {
                        $pbm_rel = TRUE;
                    }
                    $readonly .= '';
                    break;
                // Contrôle qu'une agence n'essaye pas de "hacker" un relevé
                case 3 :
                case 4 :
                    if ($rpat_codeage <> valsession('code_age')) {
                        $pbm_rel = TRUE;
                    }
                    break;
            }

            if ($pbm_rel == FALSE) {
                $rpat_datecreaf = datetolocal($rpat_datecrea);
                $rpat_datemodf = datetolocal($rpat_datemod);
                $cc = $rpat_codecli;

                $row = lit_enr_cli($cc, TRUE);
                if ($row) {
                    $row = encode_str($row);
                    extract($row);
                    $ca = $cli_prop;
                } else {
                    $pbm_rel = TRUE;
                }
            }
        } else {
            $pbm_rel = TRUE;
        }
    } else {
        if (valsession('niv_log') <> 1) {
            $pbm_rel = TRUE;
        } else {
            // Récupération des informations dossier relevé
            $row = lit_enr_rpat_cli($cc);
            if (is_array($row)) {
                $row = encode_str($row);
                extract($row);
                $rpat_datecreaf = datetolocal($rpat_datecrea);
                $rpat_datemodf = datetolocal($rpat_datemod);
                $cr = $rpat_code;
                $row = lit_enr_cli($cc, TRUE);
                if ($row) {
                    $row = encode_str($row);
                    extract($row);
                    $ca = $cli_prop;
                } else {
                    $pbm_rel = TRUE;
                }
            } else {
                $pbm_rel = TRUE;
            }
        }
    }
} else {
    if ($cc <> '') {
        if (valsession('niv_log') >= 3) {
            $row = lit_enr_cli($cc, TRUE);
            if (is_array($row)) {
                extract($row);

                // Contrôle qu'une agence n'essaye pas de "hacker" un relevé
                switch (valsession('niv_log')) {
                    case 3 :
                    case 4 :
                        if (client_age_ok($cli_code, valsession('code_age'), TRUE) == FALSE) {
                            $pbm_rel = TRUE;
                        }
                        break;
                    default :
                        break;
                }

                $ca = $cli_prop;
            } else {
                $pbm_rel = TRUE;
            }
        } else {
            $pbm_rel = TRUE;
        }
    } else {
        $choixcli = TRUE;
    }
}

switch ($td) {
    case 'add' :
        $titre = _('CREATION DOSSIER PATRIMOINE');
        break;
    case 'edit' :
        $titre = _('MISE A JOUR DOSSIER PATRIMOINE');
        break;
    case 'view' :
        $titre = _('VOIR PATRIMOINE');
        break;
    case 'del' :
        $titre = _('SUPPRESSION DOSSIER PATRIMOINE');
        break;
    default :
        $pbm_rel = TRUE;
        break;
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <title>SMI - <?php echo _('ESPACE PRIVE'); ?> : <?php echo _('Dossier Patrimoine'); ?></title>

    <?php include_once '../inc/header.inc.php'; ?>

    <script language="javascript">
        <!--
        var tab1_champ = ["nom:datecreaf ; format:date ; masque:<?php echo $_SESSION['date_fmtfull']; ?> ; req:Y ; txt:<?php echo _('Date création'); ?> ; stok:frmok ; stbad:frmbad",
            <?php
            if ($td == 'add')
            {
                if ((valsession('niv_log') <> 4) AND (valsession('niv_log') <> 3))
                {
                    if ($cli_prop == NULL) // On affiche la liste uniquement si le client est non affecté
                        {echo '"nom:codeage ; format:liste ; req:Y ; txt:'._('Agence').' ; vmn:1 ; stok:frmok ; stbad:frmbad",';}
                    else
                        {echo '"nom:codeage ; format:txt ; req:Y ; txt:'._('Agence').' ; stok:frmok ; stbad:frmbad",';}
                }
                else
                    {echo '"nom:codeage ; format:txt ; req:Y ; txt:'._('Agence').' ; stok:frmok ; stbad:frmbad",';}
            }
            else
                {echo '"nom:nomage ; format:txt ; req:Y ; txt:'._('Agence').' ; stok:frmok ; stbad:frmbad",';}
            ?>
            "nom:nota ; format:txt ; req:N ; txt:<?php echo _('Notes'); ?> ; stok:frmok ; stbad:frmbad"];
        //-->
    </script>

    <script type="text/javascript">
        <!--
        function init_datepicker() {
            <?php include_once '../jscript/datepicker_prm.js.php'; ?>
        }

        function init_all() {
            init_Body();
            $("#onglets_relg").tabs();
            init_datepicker();
            <?php
            switch ($td)
            {
                case 'add' :
                    echo '$("#datecreaf").datepicker({';
                    echo '    onSelect: function (datesel) {';
                    echo '        $("#dateoutf").blur();';
                    echo '    },';
                    echo '});';
                    echo "init_autoraz('razdatecreaf','datecreaf','click');";
                    echo "init_warn('".nb_cli('')."cli','','back','','');";
                    echo "init_warn('".nb_tec_actifs()."tec','','back','','');";
                    echo "init_warn('".nb_marques('','rel')."mque','','back','','');";
                    echo "init_warn('".nb_typlic()."type','','back','','');";
                    echo "init_warn('".nb_media()."media','','back','','');";
                    echo "init_warn('".nb_etatpdt()."etatpdt','','back','','');";
                    echo "init_warn('".nb_catpdt()."catpdt','','back','','');";
                    echo "init_warn('".nb_age_actives()."age','','back','','');";
                    echo "init_valid_form('enr','rpat_maj','".valsession('date_fmtshort')."',tab1_champ,'','');";
                    echo "init_valid_form('enrimp','rpat_maj','".valsession('date_fmtshort')."',tab1_champ,'','');";
                    break;
                case 'edit' :
                    if ($affwarn == TRUE)
                    {
                        if (exist_rpbm_actif('add', $cli_code, '') == TRUE)
                            {echo "init_warn('rpbm','','','','');";}
                    }
                    if (valsession('niv_log') >= 3)
                        {echo 'warn_cpta('.$cli_cpta.',"rel");';}
                    echo "init_new_fen('imprim1','impression','click');";
                    echo "init_new_fen('imprim2','impression','click');";
                    echo "init_valid_form('enr','rpat_maj','".valsession('date_fmtshort')."',tab1_champ,'','');";
                    echo "init_valid_form('enrimp','rpat_maj','".valsession('date_fmtshort')."',tab1_champ,'','');";
                    break;
                case 'del' :
                    echo "warn_del('');";
                    echo 'readonly_all();';
                    break;
                case 'view' :
                    if (valsession('niv_log') >= 3)
                        {echo 'warn_cpta('.$cli_cpta.',"rel");';}
                    echo "init_new_fen('imprim1','impression','click');";
                    echo "init_new_fen('imprim2','impression','click');";
                    echo 'readonly_all();';
                    break;
            }
            echo "init_fensaisie('aff_notesc',930,380);";
            ?>
            init_autohref('decl_pbm', 'click', '', true);
            init_autohref_classe('falselnkimg', '');
            Focus_first();
        }

        $(document).ready(function () {
            init_all();
        });
        //-->
    </script>
</head>
<body>

<?php include_once '../inc/entete.inc.php';
cre_ent_form($titre, '', '', '', FALSE);
?>
<!-- affiché uniquement s'il y a un code client -->
<?php
if ($pbm_rel == FALSE) {
    if ($choixcli == FALSE) {
        ?>
        <table width="100%" border="0">
            <tr>
                <td width="33%">
                    <?php
                    $aff_liste = TRUE;
                    switch (valsession('niv_log')) {
                        case 1 :
                            if (count($tab_cli) == 1) {
                                $aff_liste = FALSE;
                            }
                            break;
                    }
                    if ($aff_liste == TRUE) {
                        aff_lnk_lst_rech('rpat_lst.php', _('Retour à la liste'), $_SERVER['HTTP_REFERER'], _('Retour à la page précédente'));
                        echo ' / ';
                    }
                    ?>
                    <a href="#LST"
                       onclick="show_hide('detail', 'pas_detail');"><?php echo _('Licences & Matériels'); ?></a>
                    <?php
                    if (CheckNivLog('1')) {
                        cre_falselnk('', 'decl_pbm', 'spam', '', '', 'dpbm.php?cc=' . $rpat_codecli, '', _('Déclarer problème'), TRUE);
                    }
                    ?>
                </td>
                <td width="33%" align="center" class="annot_petit_it">
                    <div id="oblig">(<img src="../img/oblig.png" align="absmiddle"
                                          alt="<?php echo _('Champ obligatoire'); ?>">
                        : <?php echo _('Saisie obligatoire'); ?>)
                    </div>
                </td>
                <td width="33%" align="right">
                    <?php
                    if (($td == 'edit') OR ($td == 'view')) {
                        $urlimp = 'rpat_pdf.php?cr=' . $cr . '&pbm=0';
                        if (url_ok($urlimp, TRUE) == TRUE) {
                            echo '<select name="etats" size="1" id="etats" class="annot_petit">';
                            echo '<option value="" selected>&#187; ' . _('Etats') . ' &#171;</option>';

                            echo '<option value="' . $urlimp . '" class="icone" style="background-image: url(../img/sel_print.gif);">' . _('Relevé') . '</option>';

                            $urlimp = 'rpat_pdf.php?cr=' . $cr . '&pbm=1';
                            echo '<option value="' . $urlimp . '" class="icone" style="background-image: url(../img/sel_rel.gif);">' . _('Relevé et problèmes') . '</option>';
                            echo '</select>';
                        }
                    } else {
                        echo '&nbsp;';
                    }
                    ?>
                </td>
            </tr>
        </table>

        <form name="rpat_maj" id="rpat_maj" method="post" action="rpat_enr.php">
            <input name="titre" type="hidden" id="titre" value="<?php echo $titre ?>">
            <input name="td" type="hidden" id="td" value="<?php echo $td ?>">
            <input name="codecli" type="hidden" id="codecli" value="<?php echo $cc ?>">
            <input name="nbutton" type="hidden" id="nbutton" value="">
            <?php if ($td == 'add') { ?>
                <input name="code" type="hidden" id="code" value="<?php echo $rpat_code ?>">
            <?php } ?>
            <!-- Date de création -->
            <table width="100%" border="0">
                <tr>
                    <td width="160" class="rubfrm" id="f_datecreaf"
                        align="right"><?php echo _('Date Création'); ?> </td>
                    <td>
                        <input name="datecreaf" type="text" id="datecreaf" value="<?php echo $rpat_datecreaf ?>"
                               size="10" maxlength="10" readonly>
                        <?php
                        if ($td == 'add') {
                            echo ' <img src="../img/oblig.png" align="absmiddle" alt="' . _('Champ obligatoire') . '">';
                            echo ' <img src="../img/raz.png" id="razdatecreaf" border="0" align="absmiddle">';
                        }
                        ?>
                    </td>
                    <td align="right">
                        <?php
                        if (CheckNivLog('3-4-5-9') AND ($td == 'edit')) {
                            echo '<span id="strtac" style="visibility:visible">';
                            $nb_tac = nb_tac(5, $rpat_code, TRUE);
                            if ($nb_tac > 0) {
                                echo '<span class="annot_petit_it">';
                                echo '( ' . $nb_tac . ' ' . _('tâche');
                                if ($nb_ot > 1) {
                                    echo 's';
                                }
                                $nb_tac_actives = nb_tac_actives(5, $rpat_code, TRUE);
                                if ($nb_tac_actives > 0) {
                                    echo ', ' . _('dont') . ' ' . $nb_tac_actives . ' ' . _('non terminée');
                                }
                                if ($nb_tac_actives > 1) {
                                    echo 's';
                                }
                                echo ')';
                                echo '</span>';
                            } else {
                                echo '<span class="annot_petit_gras">';
                                echo _('Tâches') . ' : ';
                                echo '</span>';
                            }
                            echo '</span>';

                            ?>
                            <select class="annot_petit" name="tac" size="1" id="tac"
                                    onChange="document.location.href=this.value">
                                <option value=""
                                        class="annot_petit"><?php echo _('-- Faites votre choix --'); ?></option>
                                <?php
                                if ($nb_tac > 0) {
                                    if (url_ok('tac_lst.php', TRUE) == TRUE) {
                                        echo '<option value="tac_lst.php?ord=DES&tri=Code&fi=7&search=' . $rpat_code . '" class="annot_petit">Voir les tâches</option>';
                                    }
                                }
                                if (url_ok('tac_maj.php.td=add', TRUE) == TRUE) {
                                    echo '<option value="tac_maj.php?td=add&tr=5&cr=' . $rpat_code . '" class="annot_petit">Ajouter tâche</option>';
                                }
                                ?>
                            </select>
                            <?php
                        } else {
                            echo '&nbsp;';
                        }
                        ?>
                    </td>
                </tr>
            </table>

            <!-- Code du relevé client (affiché uniquement si édition ou suppression) -->
            <?php if ($td <> 'add') { ?>
                <table width="100%" border="0">
                    <tr>
                        <td width="160" class="rubfrm" id="f_coderlic" align="right"><?php echo _('Code'); ?></td>
                        <td>
                            <input name="code" type="text" id="code" value="<?php echo $rpat_code ?>" size="20"
                                   maxlength="20" readonly>
                        </td>
                    </tr>
                </table>
            <?php } ?>

            <!-- Affichage du client -->
            <table width="100%" border="0">
                <tr>
                    <td class="rubfrm" id="f_codecli" align="center"><?php echo _('Client'); ?>
                        <?php
                        if (CheckNivLog('3-4-5-9')) {
                            echo ' <img src="../img/' . $ico_cpta[$cli_cpta] . '" title ="' . $mess_cpta[$cli_cpta] . '" border="0" align="absmiddle">';
                        }
                        ?>
                    </td>
                </tr>
            </table>

            <!-- détails client -->
            <table width="100%" border="0">
                <tr>
                    <td valign="top" bgcolor="#C5CED7">
                        <?php
                        echo '<span class="annot_std_gras">';
                        if ($cli_ste <> '') {
                            echo $cli_ste . '<br />';
                        } else {
                            echo $cli_civilite . ' ' . $cli_prenom . ' ' . $cli_nom . '<br />';
                        }
                        echo '</span>';
                        echo $cli_adr1 . '<br />';
                        if ($cli_adr2 <> '') {
                            echo $cli_adr2 . '<br />';
                        }
                        echo Retournecp_Id($cli_ville, TRUE) . ' ' . Retourneville_Id($cli_ville, TRUE) . '<br />';
                        $chemin_imagesco = $chemin_images . '/telc.png';
                        echo ' <img src="' . $chemin_imagesco . '" align="bottom">';
                        echo ' ' . $cli_telf . '<br />';
                        ?>
                    </td>
                    <td width="60" valign="top">
                        <?php
                        if (valsession('niv_log') >= 3) {
                            $url_affnotesc = 'aff_notesc.php?cc=' . $cc;
                            if (url_ok($url_affnotesc, TRUE) == TRUE) {
                                cre_falselnk('', 'aff_notesc', 'span', '', _('Notes'), $url_affnotesc, '../img/eye.png', _('Notes'));
                            }
                        } else {
                            echo '&nbsp;';
                        }
                        ?>
                    </td>
                </tr>
            </table>

            <!-- Code de l'agence (choisi uniquement si création, affiché uniquement si édition ou suppression) -->
            <table width="100%" border="0">
                <tr>
                    <td width="160" class="rubfrm" id="f_codeage"
                        align="right"><?php echo _('Géré par (Agence)'); ?></td>
                    <td>
                        <?php
                        if ((valsession('niv_log') <> 4) AND (valsession('niv_log') <> 3)) {
                            if ($cli_prop == NULL) // On affiche la liste uniquement si le client est non affecté
                            {
                                $tab_age = give_tab_age_cli($cli_code);
                                cre_select('codeage', 'codeage', $tab_age, $rpat_codeage, '', _('-- Faites votre choix --'), 1, FALSE, '', _("-- Pas d'agence --"), TRUE, TRUE);
                            } else {
                                $row = lit_enr_age($cli_prop, TRUE);
                                extract($row);
                                $age_nomcode = $age_nom . ' (' . $age_code . ')';
                                echo '<input name="codeage" type="hidden" id="codeage" value="' . $age_code . '">';
                                echo '<input name="nomage" type="text" id="nomage" value="' . $age_nomcode . '" size="50" maxlength="50" readonly>';
                            }
                        } else {
                            $row = lit_enr_age($_SESSION['code_age'], TRUE);
                            extract($row);
                            $nom_code = $age_nom . ' (' . $age_code . ')';
                            echo '<input name="codeage" type="hidden" id="codeage" value="' . $_SESSION['code_age'] . '">';
                            echo '<input name="nagence" type="text" id="nagence" value="' . $nom_code . '" size="50" maxlength="50" readonly>';
                        }
                        ?>
                    </td>
                </tr>
            </table>

            <!-- Délai du relevé -->
            <table width="100%" border="0">
                <tr>
                    <td class="rubfrm" align="center">
                        <?php echo _('Détail du dossier'); ?>
                    </td>
                </tr>
            </table>

            <!-- Notes -->
            <table width="100%" border="0">
                <tr>
                    <td width="160" valign="top" class="rubfrm" id="f_nota" align="right"><?php echo _('Notes'); ?></td>
                    <td>
                        <textarea name="nota" rows="5" id="nota"><?php echo $rpat_nota ?></textarea>
                    </td>
                </tr>
                <tr>
                    <td colspan="2" align="center">
                        <?php
                        switch ($td) {
                            case 'add' :
                            case 'edit' :
                                echo '<input name="enr" type="button" class="bton_std" id="enr" value="' . _('Enregistrer') . '">';
                                echo '<input name="enrimp" type="button" class="bton_std" id="enrimp" value="' . _('Enregistrer & Imprimer') . '">';
                                echo '<input name="RAZ" type="reset" class="bton_std" id="RAZ" value="' . _('Réinitialiser') . '">';
                                break;
                            case 'del' :
                                echo '<input name="del" type="submit" class="bton_std" id="del" value="' . _('Supprimer') . '">';
                                break;
                        }
                        ?>
                    </td>
                </tr>
            </table>
        </form>
        <br/>

        <?php
        if (($td <> 'add') AND ($td <> 'del')) // Affichage du détail uniquement en édition ou visualisation
        {
            ?>
            <form name="rpat_lst" id="rpat_lst" method="post"
                  action="rpat_maj.php?td=<?php echo $td; ?>&cr=<?php echo $cr; ?>&cc=<?php echo $cc; ?>&ca=<?php echo $ca; ?>#detlm">
                <!-- Filtre sur site -->
                <table width="100%" border="0">
                    <tr>
                        <td width="100%" class="rubfrm" colspan="2">
                            <a name="detlm"></a>

                            <div align="center"><a name="LST"></a><?php echo _('LISTE DES LICENCES & MATERIELS'); ?>
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td width="180" class="rubfrm" id="f_site"
                            align="right"><?php echo _('Filtre par lieu'); ?></td>
                        <td>
                            <?php
                            if ($cli_ste <> '') {
                                echo '<select name="site" id="site" onChange="document.getElementById(\'rpat_lst\').submit();">';
                                echo '<option value="-1"';
                                if ($idscli == -1) {
                                    echo ' selected';
                                }
                                echo '>' . _('Tous les sites') . '</option>';
                                echo '<option value="0"';
                                if ($idscli == 0) {
                                    echo ' selected';
                                }
                                echo '>' . _('Site principal') . '</option>';

                                // création de la liste des sites actifs
                                $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');
                                $rech = 'SELECT * FROM `' . TBSCLI . "` WHERE `scli_actif` = '1' AND `scli_codecli`='" . $cli_code . "' ORDER BY scli_ste";
                                $rows = $db->get_results($rech, ARRAY_A);

                                if ($rows) {
                                    foreach ($rows as $row) {
                                        $row = encode_str($row);
                                        extract($row);

                                        if ($scli_adr2 <> '') {
                                            $nom_site = $scli_ste . ' (' . $scli_adr1 . ', ' . $scli_adr2 . ', ' . Retournecp_Id($scli_ville, FALSE) . ' ' . Retourneville_Id($scli_ville, FALSE) . ')';
                                        } else {
                                            $nom_site = $scli_ste . ' (' . $scli_adr1 . ', ' . Retournecp_Id($scli_ville, FALSE) . ' ' . Retourneville_Id($scli_ville, FALSE) . ')';
                                        }
                                        echo '<option value="' . $scli_id . '"';
                                        if ($idscli == $scli_id) {
                                            echo ' selected';
                                        }
                                        echo '>' . $nom_site . '</option>';
                                    }
                                }
                                close_database();
                                echo '</select>';
                                if ($idscli <> -1) {
                                    $urlimp1 = 'rpat_pdf.php?cr=' . $cr . '&pbm=0&site=' . $idscli;
                                    if (url_ok($urlimp1) == TRUE) {
                                        echo '<span id="imprim" align="right" title="' . $urlimp1 . '" class="falselnk">';
                                        echo ' <img src="../img/print.png" title="' . _('Imprimer relevé du site') . '" border="0" align="absmiddle">';
                                        echo '</span>';
                                    }

                                    $urlimp2 = 'rpat_pdf.php?cr=' . $cr . '&pbm=1&site=' . $idscli;
                                    if (url_ok($urlimp2) == TRUE) {
                                        echo ' <span id="imprim" align="right" title="' . $urlimp2 . '" class="falselnk">';
                                        echo ' <img src="../img/printc.png" title="' . _('Imprimer relevé du site avec détail problèmes') . '" border="0" align="absmiddle">';
                                        echo '</span>';
                                    }
                                }
                            } else {
                                echo '<input name="site" type="hidden" id="site" value="0">';
                                echo '<input name="nsite" type="text" id="nsite" value="' . _('Site principal') . '" readonly>';
                            }
                            ?>
                        </td>
                    </tr>
                    <tr>
                        <td width="180" class="rubfrm" id="f_pbm"
                            align="right"><?php echo _('Filtre par problèmes'); ?></td>
                        <td>
                            <input type="radio" name="pbms" style="background : #FFFFFF;"
                                   value="0" <?php if ($pbm == 0) { echo 'checked'; } ?>
                                   onClick="document.getElementById('rpat_lst').submit();">
                            <?php if ($pbm == 0) {
                                echo '<span class="annot_petit_gras">';
                            } else {
                                echo '<span class="annot_petit">';
                            } ?>
                            <?php echo _('Toutes les fiches'); ?>
                            <?php echo '</span>'; ?>
                            <input type="radio" name="pbms" style="background : #FFFFFF;"
                                   value="1" <?php if ($pbm == 1) { echo 'checked'; } ?>
                                   onClick="document.getElementById('rpat_lst').submit();">
                            <?php if ($pbm == 1) {
                                echo '<span class="annot_petit_gras">';
                            } else {
                                echo '<span class="annot_petit">';
                            } ?>
                            <?php echo _('Avec pbm(s) non traité(s)'); ?>
                            <?php echo '</span>'; ?>
                            <input type="radio" name="pbms" style="background : #FFFFFF;"
                                   value="2" <?php if ($pbm == 2) { echo 'checked'; } ?>
                                   onClick="document.getElementById('rpat_lst').submit();">
                            <?php if ($pbm == 2) {
                                echo '<span class="annot_petit_gras">';
                            } else {
                                echo '<span class="annot_petit">';
                            } ?>
                            <?php echo _('Avec pbms(s) traité(s) ou en cours de traitement'); ?>
                            <?php echo '</span>'; ?>
                            <br/>
	<span class="annot_upetit_it">
	(<?php echo _('Avec pbm(s) non traité(s) : contient des problèmes non affectés à des interventions') . ' / ' . _('Avec pbm(s) traité(s) ou en cours de traitement : contient des problème résolus ou affectés'); ?>
        )
	</span>
                        </td>
                    </tr>
                    <tr>
                        <td width="180" class="rubfrm" id="f_pbm" align="right">Filtre par validité/gtie</td>
                        <td>
                            <input type="radio" name="valg" style="background : #FFFFFF;"
                                   value="0" <?php if ($valg == 0) { echo 'checked'; } ?>
                                   onClick="document.getElementById('rpat_lst').submit();">
                            <?php if ($valg == 0) {
                                echo '<span class="annot_petit_gras">';
                            } else {
                                echo '<span class="annot_petit">';
                            } ?>
                            <?php echo _('Toutes les fiches'); ?>
                            <?php echo '</span>'; ?>
                            <input type="radio" name="valg" style="background : #FFFFFF;"
                                   value="1" <?php if ($valg == 1) { echo 'checked'; } ?>
                                   onClick="document.getElementById('rpat_lst').submit();">
                            <?php if ($valg == 1) {
                                echo '<span class="annot_petit_gras">';
                            } else {
                                echo '<span class="annot_petit">';
                            } ?>
                            <?php echo _('Echéance <=30 jours'); ?>
                            <?php echo '</span>'; ?>
                            <input type="radio" name="valg" style="background : #FFFFFF;"
                                   value="2" <?php if ($valg == 2) { echo 'checked'; } ?>
                                   onClick="document.getElementById('rpat_lst').submit();">
                            <?php if ($valg == 2) {
                                echo '<span class="annot_petit_gras">';
                            } else {
                                echo '<span class="annot_petit">';
                            } ?>
                            <?php echo _('Echéance <=60 jours'); ?>
                            <?php echo '</span>'; ?>
                            <input type="radio" name="valg" style="background : #FFFFFF;"
                                   value="3" <?php if ($valg == 3) { echo 'checked'; } ?>
                                   onClick="document.getElementById('rpat_lst').submit();">
                            <?php if ($valg == 3) {
                                echo '<span class="annot_petit_gras">';
                            } else {
                                echo '<span class="annot_petit">';
                            } ?>
                            <?php echo _('Echéance dépassée'); ?>
                            <?php echo '</span>'; ?>
                            <br/>
                            <span class="annot_upetit_it">
                            (<?php echo _("Echéance <=xx jours : Dont la date de validité ou de garantie est supérieure ou égale à aujourd'hui et inférieure ou égale à xx jours"); ?>
                                )
                            </span>
                        </td>
                    </tr>
                    <tr>
                        <td width="180" class="rubfrm" id="f_search"
                            align="right"><?php echo _('Filtre par mot'); ?></td>
                        <td>
                            <input type="text" name="search"
                                   value="<?php if (!empty($_POST['search'])) {
                                       echo $_POST['search'];
                                   } ?>"
                                   onChange="document.getElementById('rpat_lst').submit();">
                            <a href="javascript:" onclick="document.rpat_lst.search.value=''"><img src="../img/raz.png"
                                                                                                   border="0"
                                                                                                   align="absmiddle"></a>
                        </td>
                    </tr>
                </table>
            </form>
            <a name="PBM"></a>

            <div id="onglets_relg">
            <ul>
                <li><a href="#relg_lic"><?php echo _('Licences'); ?></a></li>
                <li><a href="#relg_mat"><?php echo _('Matériels'); ?></a></li>
            </ul>
            <div id="relg_lic">
                <table width="100%" border="0" cellspacing="0" cellpadding="0">
                    <tr>
                        <td>
                            <span
                                class="annot_petit_it">(<?php echo _('Laisser la souris sur les icônes pour le détail'); ?>
                                )</span>
                        </td>
                        <td align="right">
                            <?php
                            $lst_maj = FALSE;
                            $lst_voir = FALSE;
                            $lst_pbmrel = FALSE;
                            $lst_imp = FALSE;
                            $lst_impp = FALSE;
                            $lst_del = FALSE;
                            if (($td <> 'del') and ($td <> 'view')) {
                                $url_add = 'rlic_maj.php?td=add&cc=' . $rpat_codecli;
                                if (url_ok($url_add, TRUE) == TRUE) {
                                    echo ' <a href="' . $url_add . '"><img src="../img/add.png" title ="' . _('Ajouter fiche licence') . '" border="0" align="absmiddle">';
                                    echo ' ' . _('Ajouter fiche Licence') . '</a>';
                                }
                            } else {
                                echo '&nbsp;';
                            }
                            ?>
                        </td>
                    </tr>
                </table>
                <?php
                $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');

                switch ($pbm) {
                    case 0 :
                        $rech = 'SELECT * FROM `' . TBRLIC . '`, `' . TBMQUE . '` WHERE ' . TBRLIC . ".rlic_codecli = '" . $rpat_codecli . "' AND " . TBRLIC . '.rlic_codema = ' . TBMQUE . '.mque_code';
                        break;
                    case 1 :
                        $rech = 'SELECT DISTINCT ' . TBRLIC . '.rlic_code, ' . TBRLIC . '.rlic_codecli, ' . TBRLIC . '.rlic_dateout, ' . TBRLIC . '.rlic_maxcli, ' . TBRLIC . '.rlic_daterel, ';
                        $rech .= TBRLIC . '.rlic_codema, ' . TBRLIC . '.rlic_modele, ' . TBRLIC . '.rlic_version, ' . TBRLIC . '.rlic_dateval, ' . TBRLIC . '.rlic_legal, ';
                        $rech .= TBRPBM . '.rpbm_coderlp, ' . TBRPBM . '.rpbm_codeint, ';
                        $rech .= TBMQUE . '.mque_ste ';
                        $rech .= 'FROM `' . TBRLIC . '`, `' . TBRPBM . '`, `' . TBMQUE . '`';
                        $rech .= ' WHERE ' . TBRLIC . ".rlic_codecli = '" . $rpat_codecli . "' AND " . TBRLIC . '.rlic_code = ' . TBRPBM . '.rpbm_coderlp AND ' . TBRLIC . '.rlic_codema = ' . TBMQUE . '.mque_code';
                        $rech .= ' AND (' . TBRPBM . '.rpbm_codeint IS NULL)';
                        break;
                    case 2 :
                        $rech = 'SELECT DISTINCT ' . TBRLIC . '.rlic_code, ' . TBRLIC . '.rlic_dateout, ' . TBRLIC . '.rlic_maxcli, ' . TBRLIC . '.rlic_daterel, ';
                        $rech .= TBRLIC . '.rlic_codema, ' . TBRLIC . '.rlic_modele, ' . TBRLIC . '.rlic_version, ' . TBRLIC . '.rlic_dateval, ' . TBRLIC . '.rlic_legal, ';
                        $rech .= TBRPBM . '.rpbm_coderlp, ' . TBRPBM . '.rpbm_codeint, ';
                        $rech .= TBMQUE . '.mque_ste ';
                        $rech .= 'FROM `' . TBRLIC . '`, `' . TBRPBM . '`, `' . TBMQUE . '`';
                        $rech .= ' WHERE ' . TBRLIC . ".rlic_codecli = '" . $rpat_codecli . "' AND " . TBRLIC . '.rlic_code = ' . TBRPBM . '.rpbm_coderlp AND ' . TBRLIC . '.rlic_codema = ' . TBMQUE . '.mque_code';
                        $rech .= ' AND (' . TBRPBM . '.rpbm_codeint IS NOT NULL)';
                        break;
                }

                switch ($valg) {
                    case 0 :
                        break;
                    case 1 :
                        $nouvdate = nouv_date_plus_jours($datea, 30);
                        $rech .= ' AND (' . TBRLIC . ".rlic_dateval <= '" . $nouvdate . "' AND " . TBRLIC . ".rlic_dateval >= '" . $datea . "' AND " . TBRLIC . ".rlic_dateval <> '0000-00-00' AND " . TBRLIC . ".rlic_dateout = '0000-00-00')";
                        break;
                    case 2 :
                        $nouvdate = nouv_date_plus_jours($datea, 60);
                        $rech .= ' AND (' . TBRLIC . ".rlic_dateval <= '" . $nouvdate . "' AND " . TBRLIC . ".rlic_dateval >= '" . $datea . "' AND " . TBRLIC . ".rlic_dateval <> '0000-00-00' AND " . TBRLIC . ".rlic_dateout = '0000-00-00')";
                        break;
                    case 3 :
                        $rech .= ' AND (' . TBRLIC . ".rlic_dateval <= '" . $datea . "' AND " . TBRLIC . ".rlic_dateval <> '0000-00-00' AND " . TBRLIC . ".rlic_dateout = '0000-00-00')";
                        break;
                }

                if ($idscli != -1) {
                    $rech .= ' AND (' . TBRLIC . ".rlic_idsite = '" . $idscli . "' OR " . TBRLIC . ".rlic_idsite = '-1')";
                }

                if (isset($_POST['search']) && !empty($_POST['search'])) {
                    $rech .= ' AND (';
                    $rech .= ' ' . TBRLIC . ".rlic_code LIKE '%" . $db->escape($_POST['search']) . "%' OR";
                    if (chkdate(trim($_POST['search'])) == TRUE) {
                        $daterech = datetomysql(trim($_POST['search']));
                        $rech .= ' ' . TBRLIC . ".rlic_daterel LIKE '%" . $db->escape($daterech) . "%' OR";
                        $rech .= ' ' . TBRLIC . ".rlic_dateval LIKE '%" . $db->escape($daterech) . "%' OR";
                    }
                    $rech .= ' ' . TBRLIC . ".rlic_modele LIKE '%" . $db->escape($_POST['search']) . "%' OR";
                    $rech .= ' ' . TBRLIC . ".rlic_version LIKE '%" . $db->escape($_POST['search']) . "%' OR";
                    $rech .= ' ' . TBMQUE . ".mque_ste LIKE '%" . $db->escape($_POST['search']) . "%' OR";
                    $rech = substr($rech, 0, -3);
                    $rech .= ')';
                }
                $rech .= ' ORDER BY ' . TBRLIC . '.rlic_daterel';

                $rows = $db->get_results($rech, ARRAY_A);

                if ($rows) {
                    echo '<table class="MtableD" border="0" width="100%" cellpadding="0" cellspacing="0">';

                    // création de l'entête de la table "détails licences"
                    echo '<th>';
                    echo _('Code Fiche');
                    echo '</th>';
                    echo '<th>';
                    echo _('Fiche créée le');
                    echo '</th>';
                    echo '<th>';
                    echo _('Editeur');
                    echo '</th>';
                    echo '<th>';
                    echo _('Modèle / Version');
                    echo '</th>';
                    echo '<th>';
                    echo _('Validité');
                    echo '</th>';
                    echo '<th>';
                    echo _('Cliquer');
                    echo '</th>';

                    foreach ($rows as $row) {
                        $row = encode_str($row);
                        // création de l'entête de ligne (TR)
                        echo '<tr>';

                        echo '<td>';
                        echo $row['rlic_code'] . ' ';
                        if (datetolocal($row['rlic_dateout']) == '') {
                            if ($row['rlic_legal'] == FALSE) {
                                echo ' <img src="../img/warn.png" title="' . _('Licence illégale ou non confirmée') . '" border="0" align="absmiddle">';
                            }
                            $rech2 = 'SELECT COUNT(*) FROM `' . TBRPDT . "` WHERE `rpdt_codecli` = '" . $rpat_codecli . "' AND `rpdt_coderlic` LIKE '%" . $row['rlic_code'] . "%'";
                            $nb_rlic_utilisees = $db->get_var($rech2);

                            if ($nb_rlic_utilisees >= $row['rlic_maxcli']) {
                                $txtlic = _('Licences installées') . ' : ' . $nb_rlic_utilisees . ' / ' . _('autorisées') . ' : ' . $row['rlic_maxcli'];
                                echo ' <img src="../img/cd.png" title ="' . $txtlic . '" border="0" align="absmiddle">';
                            }

                            // vérification si problème(s) non affecté(s)
                            if (($pbm == 0) OR ($pbm == 1)) {
                                $rexist2 = 'SELECT COUNT(*) FROM `' . TBRPBM . "`  WHERE rpbm_coderlp = '" . $row['rlic_code'] . "' AND rpbm_codeint IS NULL";
                                $nbres2 = $db->get_var($rexist2);
                                if ($nbres2 > 0) {
                                    echo ' <img src="../img/pbmna.png" title ="' . _('Problème(s) non affecté(s)') . '" border="0" align="absmiddle">';
                                }
                            }

                            // vérification si interventions en cours
                            if (($pbm == 0) OR ($pbm == 2)) {
                                $rexist2 = 'SELECT COUNT(*) FROM `' . TBRPBM . "`  WHERE rpbm_coderlp = '" . $row['rlic_code'] . "' AND rpbm_codeint IS NOT NULL AND (rpbm_datett='0000-00-00' OR rpbm_datett IS NULL)";
                                $nbres2 = $db->get_var($rexist2);
                                if ($nbres2 > 0) {
                                    echo ' <img src="../img/rpbmint.png" border="0" align="absmiddle"  title ="' . _('Intervention(s) en cours') . '" border="0">';
                                }
                            }
                        } else {
                            echo ' <img src="../img/warn.png" title ="' . _('Sortie du parc depuis le') . ' ' . datetolocal($row['rlic_dateout']) . '" border="0" align="absmiddle">';
                        }
                        echo '</td>';
                        echo '<td align="center">';
                        echo datetolocal($row['rlic_daterel']);
                        echo '</td>';

                        echo '<td>';
                        echo $row['mque_ste'];
                        echo '</td>';

                        echo '<td>';
                        echo $row['rlic_modele'];
                        if ($row['rlic_version'] <> '') {
                            echo '<br />';
                            echo _('Version') . ' : ' . $row['rlic_version'];
                        }
                        echo '</td>';

                        echo '<td align="center">';
                        echo datetolocal($row['rlic_dateval']);

                        // vérification si date validité dépassée
                        if ($valg == 0) {
                            if (datetolocal($row['rlic_dateout']) == '') {
                                if (datetolocal($row['rlic_dateval']) <> '') {
                                    if ((echeance_depassee_date($datea, $row['rlic_dateval']) == TRUE) AND (datetolocal($row['rlic_dateout']) == '')) {
                                        echo ' <img src="../img/dateout.png" title ="' . _('Echéance dépassée') . '" border="0" align="absmiddle">';
                                    }
                                }
                            }
                        }
                        echo '</td>';
                        echo '<td align="center">';
                        if ($td <> 'del') {
                            if (datetolocal($row['rlic_dateout']) == '') {
                                if ($td <> 'view') {
                                    if (url_ok('rlic_maj.php?td=edit', FALSE) == TRUE) {
                                        $lst_maj = TRUE;
                                        echo '<a href="rlic_maj.php?td=edit&crl=' . $row['rlic_code'] . '"><img src="../img/edit.png" border="0" align="absmiddle"></a>';
                                    }
                                } else {
                                    if (url_ok('rlic_maj.php?td=view', FALSE) == TRUE) {
                                        $lst_voir = TRUE;
                                        echo '<a href="rlic_maj.php?td=view&crl=' . $row['rlic_code'] . '"><img src="../img/eye.png" border="0" align="absmiddle"></a>';
                                    }
                                }
                                echo ' ';
                                if (url_ok('rpbm_maj.php?td=add', FALSE) == TRUE) {
                                    $lst_pbmrel = TRUE;
                                    echo '<a href="rpbm_maj.php?td=add&tr=1&cr=' . $row['rlic_code'] . '&cap=0"><img src="../img/addpbm.png" border="0" align="absmiddle"></a>';
                                }

                                $urlimp = 'rlp_pdf.php?cr=' . $row['rlic_code'] . '&te=l&pbm=0';
                                if (url_ok($urlimp, FALSE) == TRUE) {
                                    $lst_imp = TRUE;
                                    echo ' ';
                                    echo '<span id="imprim1" title="' . $urlimp . '" class="falselnk">';
                                    echo ' <img src="../img/print.png" title="' . _('Imprimer') . '" border="0" align="absmiddle">';
                                    echo '</span>';

                                    $lst_impp = TRUE;
                                    $urlimp2 = 'rlp_pdf.php?cr=' . $row['rlic_code'] . '&te=l&pbm=1';
                                    echo ' ';
                                    echo '<span id="imprim2" title="' . $urlimp . '" class="falselnk">';
                                    echo ' <img src="../img/printc.png" title="' . _('Imprimer avec problèmes') . '" border="0" align="absmiddle">';
                                    echo '</span>';
                                }

                                if ($td <> 'view') {
                                    if (url_ok('rlic_maj.php?td=del', FALSE) == TRUE) {
                                        echo ' ';
                                        $lst_del = TRUE;
                                        echo '<a href="rlic_maj.php?td=del&crl=' . $row['rlic_code'] . '"><img src="../img/del.png" border="0" align="absmiddle"></a>';
                                    }
                                }
                            } else {
                                if (url_ok('rlic_maj.php?td=view', FALSE) == TRUE) {
                                    $lst_voir = TRUE;
                                    echo '<a href="rlic_maj.php?td=view&crl=' . $row['rlic_code'] . '&cc=' . $row['rlic_codecli'] . '&ca=' . $row['rlic_codeage'] . '"><img src="../img/eye.png" border="0" align="absmiddle"></a>';
                                }
                            }
                        } else {
                            echo '-';
                        }
                        echo '</tr>';
                    }
                    echo '</table>';
                    // Fin affichage table détails licences

                    $taille_piedla = 'small';
                    include 'piedla.inc.php';
                } else {
                    echo _('Aucune fiche relevé licence créée');
                    if ($idscli != -1) {
                        echo ' ' . _('sur ce site');
                    } else {
                        echo ' ' . _('sur ces sites');
                    }
                    echo ', ' . _('avec les filtres demandés') . '<br />';
                }
                close_database();
                ?>
            </div>

            <div id="detailm2" style="display:none">
            <table width="100%" border="0" cellspacing="0" cellpadding="0">
                <tr>
                    <td>
                        <span
                            class="annot_petit_it">(<?php echo _('Laisser la souris sur les icônes pour le détail'); ?>
                            )</span>
                    </td>
                    <td align="right">
                        <?php
                        $lst_maj = FALSE;
                        $lst_voir = FALSE;
                        $lst_pbmrel = FALSE;
                        $lst_imp = FALSE;
                        $lst_impp = FALSE;
                        $lst_del = FALSE;
                        if (($td <> 'del') AND ($td <> 'view')) {
                            $url_add = 'rpdt_maj.php?td=add&cc=' . $rpat_codecli;
                            if (url_ok($url_add, TRUE) == TRUE) {
                                echo ' <a href="' . $url_add . '"><img src="../img/add.png" title ="' . _('Ajouter fiche matériel') . '" border="0" align="absmiddle">';
                                echo ' ' . _('Ajouter fiche matériel') . '</a>';
                            }
                        } else {
                            echo '&nbsp;';
                        }
                        ?>
                    </td>
                </tr>
            </table>
            <?php
            $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');

            switch ($pbm) {
                case 0 :
                    $rech = 'SELECT * FROM `' . TBRPDT . '`, `' . TBMQUE . '`, `' . TBRPCAT . '` WHERE ' . TBRPDT . ".rpdt_codecli = '" . $rpat_codecli . "' AND " . TBRPDT . '.rpdt_codema = ' . TBMQUE . '.mque_code AND ' . TBRPDT . '.rpdt_codecat = ' . TBRPCAT . '.rpcat_code';
                    break;
                case 1 :
                    $rech = 'SELECT DISTINCT ' . TBRPDT . '.rpdt_code, ' . TBRPDT . '.rpdt_codecli, ' . TBRPDT . '.rpdt_dateout, ' . TBRPDT . '.rpdt_daterel, ' . TBRPDT . '.rpdt_codecat, ';
                    $rech .= TBRPDT . '.rpdt_codema, ' . TBRPDT . '.rpdt_modele, ' . TBRPDT . '.rpdt_empl, ' . TBRPDT . '.rpdt_codep, ' . TBRPDT . '.rpdt_ns, ' . TBRPDT . '.rpdt_fingar, ';
                    $rech .= TBRPBM . '.rpbm_coderlp, ' . TBRPBM . '.rpbm_codeint, ';
                    $rech .= TBMQUE . '.mque_ste, ';
                    $rech .= TBRPCAT . '.rpcat_desc ';
                    $rech .= 'FROM `' . TBRPDT . '`, `' . TBRPBM . '`, `' . TBMQUE . '`, `' . TBRPCAT . '`';
                    $rech .= ' WHERE ' . TBRPDT . ".rpdt_codecli = '" . $rpat_codecli . "' AND " . TBRPDT . '.rpdt_code = ' . TBRPBM . '.rpbm_coderlp AND ' . TBRPDT . '.rpdt_codema = ' . TBMQUE . '.mque_code AND ' . TBRPDT . '.rpdt_codecat = ' . TBRPCAT . '.rpcat_code';
                    $rech .= ' AND ' . TBRPBM . '.rpbm_codeint IS NULL';
                    break;
                case 2 :
                    $rech = 'SELECT DISTINCT ' . TBRPDT . '.rpdt_code, ' . TBRPDT . '.rpdt_codecli, ' . TBRPDT . '.rpdt_dateout, ' . TBRPDT . '.rpdt_daterel, ' . TBRPDT . '.rpdt_codecat, ';
                    $rech .= TBRPDT . '.rpdt_codema, ' . TBRPDT . '.rpdt_modele, ' . TBRPDT . '.rpdt_empl, ' . TBRPDT . '.rpdt_codep, ' . TBRPDT . '.rpdt_ns, ' . TBRPDT . '.rpdt_fingar, ';
                    $rech .= TBRPBM . '.rpbm_coderlp, ' . TBRPBM . '.rpbm_codeint, ';
                    $rech .= TBMQUE . '.mque_ste, ';
                    $rech .= TBRPCAT . '.rpcat_desc ';
                    $rech .= 'FROM `' . TBRPDT . '`, `' . TBRPBM . '`, `' . TBMQUE . '`, `' . TBRPCAT . '`';
                    $rech .= ' WHERE ' . TBRPDT . ".rpdt_codecli = '" . $rpat_codecli . "' AND " . TBRPDT . '.rpdt_code = ' . TBRPBM . '.rpbm_coderlp AND ' . TBRPDT . '.rpdt_codema = ' . TBMQUE . '.mque_code AND ' . TBRPDT . '.rpdt_codecat = ' . TBRPCAT . '.rpcat_code';
                    $rech .= ' AND ' . TBRPBM . '.rpbm_codeint IS NOT NULL';
                    break;
            }

            switch ($valg) {
                case 0 :
                    break;
                case 1 :
                    $nouvdate = nouv_date_plus_jours($datea, 30);
                    $rech .= ' AND (' . TBRPDT . ".rpdt_fingar <= '" . $nouvdate . "' AND " . TBRPDT . ".rpdt_fingar >= '" . $datea . "' AND " . TBRPDT . ".rpdt_fingar <> '0000-00-00' AND " . TBRPDT . ".rpdt_dateout = '0000-00-00')";
                    break;
                case 2 :
                    $nouvdate = nouv_date_plus_jours($datea, 60);
                    $rech .= ' AND (' . TBRPDT . ".rpdt_fingar <= '" . $nouvdate . "' AND " . TBRPDT . ".rpdt_fingar >= '" . $datea . "' AND " . TBRPDT . ".rpdt_fingar <> '0000-00-00' AND " . TBRPDT . ".rpdt_dateout = '0000-00-00')";
                    break;
                case 3 :
                    $rech .= ' AND (' . TBRPDT . ".rpdt_fingar <= '" . $datea . "' AND " . TBRPDT . ".rpdt_fingar <> '0000-00-00' AND " . TBRPDT . ".rpdt_dateout = '0000-00-00')";
                    break;
            }

            if ($idscli != -1) {
                $rech .= ' AND (' . TBRPDT . ".rpdt_idsite = '" . $idscli . "' OR " . TBRPDT . ".rpdt_idsite = '-1')";
            }

            if (isset($_POST['search']) && !empty($_POST['search'])) {
                $rech .= ' AND (';
                $rech .= ' ' . TBRPDT . ".rpdt_code LIKE '%" . $db->escape($_POST['search']) . "%' OR";
                if (chkdate(trim($_POST['search'])) == TRUE) {
                    $daterech = datetomysql(trim($_POST['search']));
                    $rech .= ' ' . TBRPDT . ".rpdt_daterel LIKE '%" . $db->escape($daterech) . "%' OR";
                    $rech .= ' ' . TBRPDT . ".rpdt_fingar LIKE '%" . $db->escape($daterech) . "%' OR";
                }
                $rech .= ' ' . TBRPDT . ".rpdt_modele LIKE '%" . $db->escape($_POST['search']) . "%' OR";
                $rech .= ' ' . TBRPDT . ".rpdt_empl LIKE '%" . $db->escape($_POST['search']) . "%' OR";
                $rech .= ' ' . TBRPDT . ".rpdt_codep LIKE '%" . $db->escape($_POST['search']) . "%' OR";
                $rech .= ' ' . TBRPDT . ".rpdt_ns LIKE '%" . $db->escape($_POST['search']) . "%' OR";
                $rech .= ' ' . TBRPCAT . ".rpcat_desc LIKE '%" . $db->escape($_POST['search']) . "%' OR";
                $rech .= ' ' . TBMQUE . ".mque_ste LIKE '%" . $db->escape($_POST['search']) . "%' OR";
                $rech = substr($rech, 0, -3);
                $rech .= ')';
            }
            $rech .= ' ORDER BY ' . TBRPDT . '.rpdt_daterel';

            $rows = $db->get_results($rech, ARRAY_A);

            if ($rows) {
                echo '<table class="MtableD" border="0" width="100%" cellpadding="0" cellspacing="0">';

                // création de l'entête de la table "détails matériels"
                echo '<th>';
                echo 'Code Fiche / Inventaire';
                echo '</th>';
                echo '<th>';
                echo _('Fiche créée le');
                echo '</th>';
                echo '<th>';
                echo _('Catégorie');
                echo '</th>';
                echo '<th>';
                echo _('Constructeur / Modèle / NS / Emplacement ');
                echo '</th>';
                echo '<th>';
                echo _('Fin Gar.');
                echo '</th>';
                echo '<th>';
                echo _('Cliquer');
                echo '</th>';

                foreach ($rows as $row) {
                    // création de l'entête de ligne (TR)
                    echo '<tr>';

                    echo '<td>';
                    echo $row['rpdt_code'] . '<br />';
                    echo '(' . $row['rpdt_codep'] . ') ';
                    if (datetolocal($row['rpdt_dateout']) == '') {
                        // vérification si problème(s) non affecté(s)
                        if (($pbm == 0) OR ($pbm == 1)) {
                            $rexist2 = 'SELECT COUNT(*) FROM `' . TBRPBM . "`  WHERE rpbm_coderlp = '" . $row['rpdt_code'] . "' AND rpbm_codeint IS NULL";
                            $nbres2 = $db->get_var($rexist2);
                            if ($nbres2 > 0) {
                                echo " <img src=\"../img/pbmna.png\" title =\"Problème(s) non affecté(s) !\" border=\"0\" align=\"absmiddle\">";
                            }
                        }

                        // vérification si interventions en cours
                        if (($pbm == 0) OR ($pbm == 2)) {
                            $rexist2 = 'SELECT COUNT(*) FROM `' . TBRPBM . "` WHERE rpbm_coderlp = '" . $row['rpdt_code'] . "' AND rpbm_codeint IS NOT NULL AND (rpbm_datett='0000-00-00' OR rpbm_datett IS NULL)";
                            $nbres2 = $db->get_var($rexist2);
                            if ($nbres2 > 0) {
                                echo "<img src=\"../img/rpbmint.png\" align=\"absmiddle\" title =\"Intervention(s) en cours\" border=\"0\">";
                            }
                        }
                    } else {
                        echo " <img src=\"../img/warn.png\" title =\"Sorti du parc depuis le " . datetolocal($row['rpdt_dateout']) . ".\" border=\"0\" align=\"absmiddle\">";
                    }
                    echo '</td>';
                    echo '<td align="center">';
                    echo datetolocal($row['rpdt_daterel']);
                    echo '</td>';

                    echo '<td>';
                    echo $row['rpcat_desc'];
                    echo '</td>';

                    echo '<td>';
                    echo $row['mque_ste'];
                    if ($row['rpdt_modele'] <> '') {
                        echo '<br />';
                        echo $row['rpdt_modele'];
                    }
                    if ($row['rpdt_empl'] <> '') {
                        echo '<br />';
                        echo _('Empl.') . ' : ' . $row['rpdt_empl'];
                    }
                    if ($row['rpdt_ns'] <> '') {
                        echo '<br />';
                        echo 'NS : ' . $row['rpdt_ns'];
                    }
                    echo '</td>';


                    echo '<td align="center">';
                    echo datetolocal($row['rpdt_fingar']);

                    // vérification si date garantie dépassée
                    if ($valg == 0) {
                        if (datetolocal($row['rlic_dateout']) == '') {
                            if (datetolocal($row['rpdt_fingar']) <> '') {
                                if ((echeance_depassee_date($datea, $row['rpdt_fingar']) == TRUE) AND (datetolocal($row['rpdt_dateout']) == '')) {
                                    echo " <img src=\"../img/dateout.png\" title =\"Plus sous garantie !\" border=\"0\" align=\"absmiddle\">";
                                }
                            }
                        }
                    }
                    echo '</td>';

                    echo '<td align="center">';
                    if ($td <> 'del') {
                        if (datetolocal($row['rpdt_dateout']) == '') {
                            if ($td <> 'view') {
                                if (url_ok('rpdt_maj.php?td=edit', FALSE) == TRUE) {
                                    $lst_maj = TRUE;
                                    echo '<a href="rpdt_maj.php?td=edit&crp=' . $row['rpdt_code'] . '"><img src="../img/edit.png" border="0" align="absmiddle"></a>';
                                }
                            } else {
                                if (url_ok('rpdt_maj.php?td=view', FALSE) == TRUE) {
                                    $lst_voir = TRUE;
                                    echo '<a href="rpdt_maj.php?td=view&crp=' . $row['rpdt_code'] . '"><img src="../img/eye.png" border="0" align="absmiddle"></a>';
                                }
                            }

                            if (url_ok('rpbm_maj.php?td=add', FALSE) == TRUE) {
                                echo ' ';
                                $lst_pbmrel = TRUE;
                                echo '<a href="rpbm_maj.php?td=add&tr=2&cr=' . $row['rpdt_code'] . '&cap=0"><img src="../img/addpbm.png" border="0" align="absmiddle"></a>';
                            }

                            $urlimp = 'rlp_pdf.php?cr=' . $row['rpdt_code'] . '&te=m&pbm=0';
                            if (url_ok($urlimp, FALSE) == TRUE) {
                                $lst_imp = TRUE;
                                echo ' ';
                                echo '<a href="javascript:;" onclick="lanceimp(\'' . $urlimp . '\');")><img src="../img/print.png" title="' . _('Imprimer la fiche relevé') . '" border="0" align="absmiddle"></a>';

                                $lst_impp = TRUE;
                                $urlimp = 'rlp_pdf.php?cr=' . $row['rpdt_code'] . '&te=m&pbm=1';
                                echo ' ';
                                echo '<a href="javascript:;" onclick="lanceimp(\'' . $urlimp . '\');")><img src="../img/printc.png" title="' . _('Imprimer la fiche relevé avec les problèmes') . '" border="0" align="absmiddle"></a>';
                            }

                            echo ' ';
                            if ($td <> 'view') {
                                if (url_ok('rpdt_maj.php?td=del', FALSE) == TRUE) {
                                    $lst_del = TRUE;
                                    echo '<a href="rpdt_maj.php?td=del&crp=' . $row['rpdt_code'] . '"><img src="../img/del.png" border="0" align="absmiddle"></a>';
                                }
                            }
                        } else {
                            $lst_voir = TRUE;
                            echo '<a href="rpdt_maj.php?td=view&crp=' . $row['rpdt_code'] . '"><img src="../img/eye.png" border="0" align="absmiddle"></a>';
                        }
                    } else {
                        echo '-';
                    }

                    echo '</tr>';
                }

                echo '</table>';
                // Fin affichage table détail

                $taille_piedla = 'small';
                include 'piedla.inc.php';
            } else {
                echo _('Aucune fiche relevé matériel créée');
                if ($idscli != -1) {
                    echo ' ' . _('sur ce site');
                } else {
                    echo ' ' . _('sur ces sites');
                }
                echo ', ' . _('avec les filtres demandés') . '<br />';
            }
            close_database();
        }
        ?>
        </div>
        </div>

        <!-- Fin affichage uniquement si edition ou visualisation -->

        <!-- Fin affiché uniquement s'il y a un code client -->
        <?php
    } else {
        pop_ret_auto(_('Merci de choisir un client'), 'warn', $lnk_cli_lst);
    }
} else {
    if (CheckNivLog('1')) {
        pop_ret_auto(_('Aucun Relevé'), 'warn', 'index.php');
    } else {
        pop_ret_auto(_('Problème de paramètres'), 'warn', 'rpat_lst.php');
    }
}
include_once 'pied.php';
?>
</body>
</html>