<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.5
 *
 * Copyright (C) 2006-2017  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/


// vérification des tentatives de hack
$pos = strpos($_SERVER['PHP_SELF'], 'inc.php');
$ok_inc = FALSE;
if ($pos === FALSE) {
    $ok_inc = TRUE;
}
if ($ok_inc == FALSE) {
    header('Location: ../index.php');
}


include_once '../inc/config.inc.php';
include_once '../inc/fic_droits.inc.php';
include_once '../inc/fic_int.inc.php';
include_once '../inc/fic_taxes.inc.php';
include_once '../inc/func.inc.php';
include_once '../inc/func_log.inc.php';
include_once '../inc/func_geo.inc.php';
include_once '../inc/func_txt.inc.php';
include_once '../classes/ezSQL/shared/ez_sql_core.php';
include_once '../classes/ezSQL/mysqli/ez_sql_mysqli.php';
include_once '../inc/func_sql.inc.php';
Archivelog(valsession('code_log'));
// Variables Formulaire
fix_magic_quotes();
$_GET = clean_str($_POST);

$titre = valpost('titre');
$td = valpost('td');
$codeint = valpost('codeint');
$idinth = (int)valpost('inth');

$code = str_majuscules(valpost('code'));
$des = str_majuscules(valpost('des'));
$qte = (float)valpost('qte');
$tva = valpost('tva');
$pu = (float)valpost('pu');
$texte = valpost('texte');

$msg = '';
$retourliste = TRUE;

$new_tab = [];
$newrow = [];
$newrow['tpfih_codeint'] = $codeint;
$newrow['tpfih_idhisto'] = $idinth;
$newrow['tpfih_codetpf'] = $code;
$newrow['tpfih_valeur'] = $pu;
$newrow['tpfih_codetva'] = $tva;
$newrow['tpfih_qte'] = $qte;
$newrow['tpfih_texte'] = $texte;

switch ($td) {
    // Ajout de la fiche Taxe Parafiscale Historique Intervention
    case 'add' :
        $_SESSION['tpfih'][] = $newrow;

        $msg = _('Fiche ajoutée');
        break;

    // MAJ de la fiche Taxe Parafiscale Historique Intervention
    case 'edit' :
        foreach ($_SESSION['tpfih'] as $row) {
            // C'est le code taxe édité ?
            if ($row['tpfih_codetpf'] == $code) {
                $new_tab[] = $newrow;
            } else {
                $new_tab[] = $row;
            }
        }

        $_SESSION['tpfih'] = $new_tab;

        $msg = _('Fiche mise à jour');
        break;

    // Suppression de la fiche Produit de l'historique intervention
    case 'del' :
        foreach ($_SESSION['tpfih'] as $row) {
            // C'est le code produit édité ?
            if ($row['tpfih_codetpf'] <> $code) {
                $new_tab[] = $row;
            }
        }

        $_SESSION['tpfih'] = $new_tab;

        $msg = _('Fiche supprimée');
        break;

    default :
        break;
}
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <title>SMI - <?php echo _('ESPACE PRIVE'); ?> : <?php echo _('Taxe Intervention'); ?></title>

    <?php include_once '../inc/header.inc.php'; ?>
    <script type="text/javascript">
        <!--
        function init_all() {
            init_Body();
            <?php
            if ($retourliste == FALSE)
                {echo "warn_txt('" . str_escape($msg) . "')";}
            else
            {
                echo "cre_html_pdtih('detpdti', 'edit', $codeint, 'window.opener.');";
                echo 'updatpdti();';
                echo "pop_txt('".str_escape($msg)."');";
                echo 'self.close();';
            }
            ?>
            Focus_first();
        }

        $(document).ready(function () {
            init_all();
        });
        //-->
    </script>

</head>
<body>
<?php
cre_ent_form($titre, '', '', '', FALSE);
?>
</body>
</html>
