#
# Table structure for table `smi_cocl`
#

ALTER TABLE `smi_cocl` ADD `cocl_sitep` TINYINT( 1 ) UNSIGNED NOT NULL DEFAULT '1';


#
# Table structure for table `smi_rlic`
#

ALTER TABLE `smi_rlic` ADD INDEX ( `rlic_codemed` );
ALTER TABLE `smi_rlic` ADD `rlic_idsite` INT( 10 ) NOT NULL DEFAULT '-1';


#
# Table structure for table `smi_rpdt`
#

ALTER TABLE `smi_rpdt` ADD INDEX ( `rpdt_codecat` );
ALTER TABLE `smi_rpdt` ADD INDEX ( `rpdt_codeet` );
ALTER TABLE `smi_rpdt` ADD INDEX ( `rpdt_codema` );
ALTER TABLE `smi_rpdt` ADD `rpdt_idsite` INT( 10 ) NOT NULL DEFAULT '-1';


#
# Table structure for table `smi_rpbm`
#
ALTER TABLE `smi_rpbm` ADD `rpbm_idsite` TINYINT( 1 ) NOT NULL DEFAULT '-1';

#
# Table structure for table `smi_int`
#
ALTER TABLE `smi_int` ADD `int_idsite` TINYINT( 1 ) UNSIGNED NOT NULL DEFAULT '0';



#
# Table structure for table `smi_scli`
#

DROP TABLE IF EXISTS `smi_scli`;
CREATE TABLE `smi_scli` (
  `scli_id` int(10) unsigned NOT NULL auto_increment,
  `scli_datecrea` date NOT NULL default '0000-00-00',
  `scli_datemod` date NOT NULL default '0000-00-00',
  `scli_codecli` varchar(20) NOT NULL default '',
  `scli_ste` varchar(50) NOT NULL default '',
  `scli_adr1` varchar(50) NOT NULL default '',
  `scli_adr2` varchar(50) default NULL,
  `scli_dep` char(3) NOT NULL default '',
  `scli_ville` varchar(6) NOT NULL default '',
  `scli_pays` varchar(50) NOT NULL default '',
  `scli_telf` varchar(20) NOT NULL default '',
  `scli_fax` varchar(20) default NULL,
  `scli_email` varchar(50) NOT NULL default '',
  `scli_rcivil` varchar(5) NOT NULL default '',
  `scli_rprenom` varchar(50) NOT NULL default '',
  `scli_rnom` varchar(50) NOT NULL default '',
  `scli_rtelf` varchar(20) NOT NULL default '',
  `scli_rfax` varchar(20) default NULL,
  `scli_rtelp` varchar(20) default NULL,
  `scli_remail` varchar(50) NOT NULL default '',
  `scli_rfunc` varchar(50) default NULL,
  `scli_nota` text,
  `scli_actif` tinyint(1) NOT NULL default '1',
  PRIMARY KEY  (`scli_id`),
  KEY `scli_codecli` (`scli_codecli`),
  KEY `scli_ste` (`scli_ste`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 PACK_KEYS=0 COMMENT='Sites clients';



#
# Table structure for table `smi_sclic`
#

DROP TABLE IF EXISTS `smi_sclic`;
CREATE TABLE `smi_sclic` (
  `sclic_id` int(10) unsigned NOT NULL auto_increment,
  `sclic_datecrea` date NOT NULL default '0000-00-00',
  `sclic_datemod` date NOT NULL default '0000-00-00',
  `sclic_idscli` int(10) unsigned NOT NULL default '0',
  `sclic_codecocl` varchar(20) NOT NULL default '',
  PRIMARY KEY  (`sclic_id`),
  KEY `sclic_idscli` (`sclic_idscli`),
  KEY `sclic_codecocl` (`sclic_codecocl`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 PACK_KEYS=0 COMMENT='Sites clients sur contrats';



#
# Table structure for table `smi_sclii`
#

DROP TABLE IF EXISTS `smi_sclii`;
CREATE TABLE `smi_sclii` (
  `sclii_id` int(10) unsigned NOT NULL auto_increment,
  `sclii_datecrea` date NOT NULL default '0000-00-00',
  `sclii_datemod` date NOT NULL default '0000-00-00',
  `sclii_idscli` int(10) unsigned NOT NULL default '0',
  `sclii_codeint` varchar(20) NOT NULL default '',
  PRIMARY KEY  (`sclii_id`),
  KEY `sclii_idscli` (`sclii_idscli`),
  KEY `sclii_codeint` (`sclii_codeint`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 PACK_KEYS=0 COMMENT='Sites clients sur interventions';

